## HarmonyOS Developer

- [鸿蒙开发(HarmonyOS Development)](https://developer.huawei.com/consumer/cn/develop) - 为开发者提供包括HarmonyOS SDK、DevEco Studio、DevEco Service等开发、调试、测试功能的服务，让开发效率进一步提升，同时享受顺滑的开发体验。

## DevEco Studio

- [HUAWEI DevEco Studio](https://developer.huawei.com/consumer/cn/deveco-studio/) - 面向HarmonyOS应用及元服务开发者提供的集成开发环境(IDE)， 助力高效开发。

## ArkTS

- [ArkTS](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/arkts-get-started-0000001504769321-V2) - ArkTS是鸿蒙生态的应用开发语言。它在保持TypeScript（简称TS）基本语法风格的基础上，对TS的动态类型特性施加更严格的约束，引入静态类型。同时，提供了声明式UI、状态管理等相应的能力，让开发者可以以更简洁、更自然的方式开发高性能应用。

## ArkUI

- [ArkUI](https://developer.huawei.com/consumer/cn/arkui/) - ArkUI是一套构建分布式应用界面的声明式UI开发框架。它使用极简的UI信息语法、丰富的UI组件、以及实时界面预览工具，帮助您提升HarmonyOS应用界面开发效率30%。您只需使用一套ArkTS API，就能在多个HarmonyOS设备上提供生动而流畅的用户界面体验。

## 开发指南

- [快速入门](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_1_u5feb_u901f_u5165_u95e8-0000001478340845-V2)
- [开发基础知识](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_1_u5f00_u53d1_u57fa_u7840_u77e5_u8bc6-0000001427584576-V2)
- [学习ArkTS语言](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/arkts-basics-0000001454809260-V2)
- [ArkTS语言基础类库](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_3arkts_u8bed_u8a00_u57fa_u7840_u7c7b_u5e93-0000001632530086-V2)
- [应用模型](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_1_u5e94_u7528_u6a21_u578b-0000001478061441-V2)
- [UI开发](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_2ui_u5f00_u53d1-0000001478181205-V2)
- [Web](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/in-app-web-based-content-provisioning-0000001500514249-V2)
- [通知](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_3_u901a_u77e5-0000001427902316-V2)
- [网络与连接](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_8_u7f51_u7edc_u4e0e_u8fde_u63a5-0000001427744692-V2)
- [数据管理](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_10_u6570_u636e_u7ba1_u7406-0000001428061620-V2)
- [文件管理](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_11_u6587_u4ef6_u7ba1_u7406-0000001428061632-V2)
- [设备管理](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_13_u8bbe_u5907_u7ba1_u7406-0000001427744720-V2)
- [后台任务（Background Task）管理](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/application-dev-guide-0000001614624468-V2)
- [国际化](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/1_16_u56fd_u9645_u5316-0000001428061656-V2)

## 学堂

- [HarmonyOS 学堂](https://developer.huawei.com/consumer/cn/training/) - 通过循序渐进的学习路径，无经验和有经验的开发者都可以轻松掌握ArkTS语言声明式开发范式，体验更简洁、更友好的HarmonyOS应用开发旅程。

## 示例教程

- [视频教程](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/video-tutorials-0000001443535745-V2) - 为了方便开发者更好地学习HarmonyOS相关知识，本页面对当前有的视频教程资源进行了汇总。
- [示例代码](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/samples-0000001162414961-V2)
- [samples](https://developer.huawei.com/consumer/cn/hmos/samples/?catalogVersion=V2)
- [Codelabs](https://developer.huawei.com/consumer/cn/codelabsPortal/serviceTypes/harmonyos-cn) - 分享知识与见解，一起探索 HarmonyOS 的独特魅力。
- [Codelabs汇总](https://developer.huawei.com/consumer/cn/doc/harmonyos-guides-V2/codelabs-0000001443855957-V2) - 为了方便开发者针对重点功能或场景进行开发，本页面对当前有的Codelabs资源进行了汇总。

## API参考

- [ArkTS API参考](https://developer.huawei.com/consumer/cn/doc/harmonyos-references-V2/syscap-0000001408089368-V2?catalogVersion=V2)
- [Native API参考](https://developer.huawei.com/consumer/cn/doc/harmonyos-references-V2/2_1_u6a21_u5757-0000001446810528-V2)

## FAQ

- [harmonyos faqs](https://developer.huawei.com/consumer/cn/doc/harmonyos-faqs-V2/faq-ability-0000001125002304-V2)
