## Awesome

提供iOS精选列表，包含Objective-C和Swift项目，涉及鸿蒙开发、Flutter、React Native、Weex、H5、小程序、区块链、数据库、游戏开发等教程(Provides a curated list of awesome iOS, including Objective-C and Swift Projects, covering tutorials on HarmonyOS development, Flutter, React Native, Weex, H5, mini programs, blockchain, databases, game development, and more.)。

[![License MIT](https://img.shields.io/badge/license-MIT-green.svg?style=flat)](LICENSE)&nbsp;

## Group

|  ID             |  QRCode            | Description       |
| :-------------: | :--------------------------------------: | :-------------------------------------: |
| 614799921 | ![614799921](https://github.com/chenxing640/Awesome/raw/master/images/g614799921.jpg)  | Technology communication group for iOS & macOS |
| 155353383 | ![155353383](https://github.com/chenxing640/Awesome/raw/master/images/qq155353383.jpg) | Technology communication group for other Dev-Lang |


## Catalog

- [Awesome](#Awesome)
- [Group](#Group)
- [iOS/MacOS](#iOS-Catalog)
- [Apple Developer](#Apple-Developer)
- [HarmonyOS Development](#HarmonyOS-Development)
- [Flutter](#Flutter)
- [React Native](#React-Native)
- [Weex](#Weex)
- [H5](#H5)
- [MiniProgram](#MiniProgram)
- [C/C++](#C-and-Cplusplus)
- [Blockchain](#Blockchain)
- [Database](#Database)
- [Games](#Games)
- [Scripts](#Scripts)
- [Others](#Others)

## iOS Catalog

- [iOS](#iOS)
   - [AFNetworking & Alamofire](#AFNetworking-Alamofire)
   - [SDWebImage](#SDWebImage)
   - [Kingfisher](#Kingfisher)
   - [Masonry & SnapKit](#Masonry-SnapKit)
   - [YYKit](#YYKit)
   - [DataSources](#DataSources)
   - [ReactiveCocoa & RxSwift](#ReactiveCocoa-RxSwift)
   - [ReactiveSwift](#ReactiveSwift)
   - [Moya](#Moya)
   - [RestKit](#RestKit)
   - [Charts](#Charts)
   - [Messages](#Messages)
   - [EmptyDataSet](#EmptyDataSet)
   - [JSON](#JSON)
   - [KeyboardManager](#KeyboardManager)
   - [PhotoPicker](#PhotoPicker)
   - [Deeplink](#Deeplink)
   - [SwiftKit](#SwiftKit)
   - [Hero](#Hero)
   - [pop](#pop)
   - [NVActivityIndicatorView](#NVActivityIndicatorView)
   - [PageView](#PageView)
   - [CyclePagerView](#CyclePagerView)
   - [Code Quality](#Code-Quality)
   - [Permission](#Permission)
   - [Socket](#Socket)
   - [R.swift](#Rswift)
   - [SwiftGen](#SwiftGen)
   - [TabBar](#TabBar)
   - [AcknowList](#AcknowList)
   - [FloatingPanel](#FloatingPanel)
   - [HTTPCache](#HTTPCache)
   - [ListView](#ListView)
   - [Date](#Date)
   - [Reachability](#Reachability)
   - [CocoaLumberjack](#CocoaLumberjack)
   - [AsyncDisplayKit](#AsyncDisplayKit)
   - [JVFloatLabeledTextField](#JVFloatLabeledTextField)
   - [FLAnimatedImage](#FLAnimatedImage)
   - [TABAnimated](#TABAnimated)
   - [lottie-ios](#lottie-ios)
   - [APNGKit](#APNGKit)
   - [webp](#webp)
   - [Nuke](#Nuke)
   - [VAP](#VAP) 
   - [SVGAPlayer](#SVGAPlayer)
   - [SVG](#SVG)
   - [DKNightVersion](#DKNightVersion)
   - [PaperOnboarding](#PaperOnboarding)
   - [GraphQL](#GraphQL)
   - [OOM & Leaks & Crash](#OOM-Leaks-Crash)
   - [HTML Parser](#HTML-Parser)
   - [Rx Series](#Rx-Series)
   - [AR & VR](#AR-VR)
   - [Graphs Processing And Rendering](#Graphs-Processing-And-Rendering)
      - [OpenGL & OpenGLES](#OpenGL-OpenGLES)
      - [Metal](#Metal)
      - [OpenCV](#OpenCV)
      - [GPUImage](#GPUImage)
      - [Beauty Filters and Effects](#Beauty-Filters-and-Effects)
      - [CoreGraphics](#CoreGraphics)
   - [Payment](#Payment)
      - [In-App Purchases](#In-App-Purchases)
      - [ApplePay](#ApplePay)
      - [ThirdPay](#ThirdPay)
   - [Player](#Player)
      - [Video Player](#Video-Player) 
      - [Audio Player](#Audio-Player)
   - [RTC](#RTC)
   - [IM & Live](#IM-Live)
   - [WiFi File Transfer](#WiFi-File-Transfer)
   - [AutoLayout](#AutoLayout)
   - [FlowLayout](#FlowLayout)
   - [逆向开发](#逆向开发)
      - [fishhook](#fishhook)
      - [逆向辅助工具](#逆向辅助工具)
      - [逆向案例](#逆向案例)
   - [安全攻防和应用加固](#安全攻防和应用加固)
   - [数据安全和算法](#数据安全和算法)
   - [Zip](#Zip)
   - [Blockchain](#Blockchain)
   - [Networks](#Networks)
   - [Navigation](#Navigation)
   - [Runtime](#Runtime)
   - [Data Persistence](#Data-Persistence)
   - [Side Drawer](#Side-Drawer)
   - [Bluetooth](#Bluetooth)
   - [Gesture-Biometric Unlock](#Gesture-Biometric-Unlock)
   - [BlurView](#BlurView)
   - [PhotoViewer](#PhotoViewer)
   - [Panorama](#Panorama)
   - [Find The Most Relevant Colors](#Find-The-Most-Relevant-Colors)
   - [Scan](#Scan)
   - [Refresh](#Refresh)
   - [HUD & Indicator](#HUD-Indicator)
   - [Toast](#Toast)
   - [Menu & PopupView](#Menu-PopupView)
   - [Slider](#Slider)
   - [PageControl](#PageControl)
   - [WebView & ProgressBar](#WebView-ProgressBar)
   - [WebP](#WebP)
   - [Animation](#Animation)
   - [Picker](#Picker)
   - [Searching)](#Searching)
   - [Sharing](#Sharing)
   - [CodeUnit & AuthenticationCode](#CodeUnit-AuthenticationCode)
   - [Device Info](#Device-Info)
   - [Ad](#Ad)
   - [Star View](#Star-View)
   - [Categories & Extensions](#Categories-Extensions)
   - [Jailbreak Detector](#Jailbreak-Detector)
   - [Sensor](#Sensor)
   - [TextView](#TextView)
   - [Label](#Label)
   - [ImageView](#ImageView)   
   - [Crop video cover](#Crop-video-cover)
   - [Waver](#Waver)
   - [Doodling](#Doodling)
   - [CheckBox](#CheckBox)
   - [Theme Change](#Theme-Change)
   - [Architecture Design Pattern](#Architecture-Design-Pattern)
   - [Ping](#Ping)
   - [Uncategorized](#Uncategorized)
   - [SwiftUI Learning](#SwiftUI-Learning)
   - [Projects & Demo](#Projects-Demo)
- [MacOS](#MacOS)


## Apple Developer

- [Apple Developer](https://github.com/chenxing640/Awesome/blob/master/Apple-Developer.md)

## HarmonyOS Development

- [HarmonyOS Development](https://github.com/chenxing640/Awesome/blob/master/HarmonyOS.md)

## Flutter

- [Flutter](https://github.com/chenxing640/Awesome/blob/master/Flutter.md)

## React Native

- [React Native](https://github.com/chenxing640/Awesome/blob/master/React-Native.md)

## Weex

- [Weex](https://github.com/chenxing640/Awesome/blob/master/Weex.md)

## H5

- [H5](https://github.com/chenxing640/Awesome/blob/master/H5.md)

## MiniProgram

- [MiniProgram](https://github.com/chenxing640/Awesome/blob/master/MiniProgram.md)

## C and Cplusplus

- [C/C++](https://github.com/chenxing640/Awesome/blob/master/Cplusplus.md)

## Blockchain

- [Blockchain](https://github.com/chenxing640/Awesome/blob/master/Blockchain.md)

## Database

- [Database](https://github.com/chenxing640/Awesome/blob/master/DB.md)

## Games

- [Games](https://github.com/chenxing640/Awesome/blob/master/Games.md)

## Scripts

- [Scripts](https://github.com/chenxing640/Awesome/blob/master/Scripts.md)

## Others

- [Others](https://github.com/chenxing640/Awesome/blob/master/Others.md)


## iOS

### AFNetworking-Alamofire

- [AFNetworking](https://github.com/AFNetworking/AFNetworking) - A delightful networking framework for iOS, macOS, watchOS, and tvOS. 
    <div align=center>
    <img src="https://camo.githubusercontent.com/0241eb0b662cc5591949671971a0cbed6f1b5d3118af64cdf47df1f1b3b17a9e/68747470733a2f2f7261772e6769746875622e636f6d2f41464e6574776f726b696e672f41464e6574776f726b696e672f6173736574732f61666e6574776f726b696e672d6c6f676f2e706e67" width="50%" />
    </div>

**NSURLSession:**
- `AFURLSessionManager `
- `AFHTTPSessionManager`

**Security:**
- `AFSecurityPolicy`

**Reachability:**
- `AFNetworkReachabilityManager`

**Serialization:**
* `<AFURLRequestSerialization>`
    - `AFHTTPRequestSerializer`
    - `AFJSONRequestSerializer`
    -  `AFPropertyListRequestSerializer`
* `<AFURLResponseSerialization>`
    - `AFHTTPResponseSerializer`
    - `AFJSONResponseSerializer`
    - `AFXMLParserResponseSerializer`
    - `AFXMLDocumentResponseSerializer (macOS)`
    - `AFPropertyListResponseSerializer`
    - `AFImageResponseSerializer`
    - `AFCompoundResponseSerializer`

**UIKit:**
- Adding properties in the form of catagory.

---

- [Alamofire](https://github.com/Alamofire/Alamofire) - Alamofire is an HTTP networking library written in Swift.
    <div align=center>
    <img src="https://raw.githubusercontent.com/Alamofire/Alamofire/master/Resources/AlamofireLogo.png"  width="50%" />
    </div>

**Core目录下各个文件的功能简述:**
- Alamofire.swift -- 该文件中主要是给用户提供一些便利的调用方法，用户可以直接调用该文件中的便利方法来使用Alamofire相关功能。
- Manager.swift -- Manager中定义了Session对象，Session相关的Delegate，以及Delegate执行的队列等相关信息，在Manager中创建Request对象发起请求。Manager管理的就是各种请求，Manager对象是以单例的形式对外开放的。
- Request.swift -- 该文件如其名，就是负责创建Session的各种task的，并执行相关的SessionTask，并调用相关书籍解析的功能模块对数据进行解析并通过回调返回给用户。
- ParameterEncoding.swift -- 负责请求参数的各种编码（URL、URLEncodedInURL、JSON、PropertyList等编码），并将编码后的数据与URLRequest结合后的结果进行返回。
- Result.swift -- 对解析后的数据封装成Result对象。
- Response.swift -- 负责将服务器相应的数据进行封装生成Response对象，该对象中就包括上述的Result对象，用户最终会通过闭包回调的形式获取到该Response的对象。
- Notifications.swift -- 其中是一个Notification结构体，该结构体中定义了一些字符串，这些字符串就是所需通知的Key，当网络请求DidResume、DidSuspend、DidCancel、DidComplete都会发出通知。
- Error.swift -- 其中是一个Error的结构体，其中封装的是各种错误状态。

**Features目录下各个文件的功能简述:**
- Download.swift -- 对Manager和Request类进行扩展，使其支持Down Task，其中封装了NSURLSessionDownloadDelegate相关代理方法。
- Upload.swift -- 在该文件中也是对Manager和Request类进行的扩展，使其支持Upload Task，其中封装了NSURLSessionDataDelegate中获取上传数据进度的代理方法，也就是taskDidSendBodyData代理方法。
- MultipartFormData.swift -- 该文件从名字就可以看出是为了组织多表单数据上传的数据的，在Upload Task中就使用到了MultipartFormData。
- Stream.swift -- 和Download和Upload文件相似，该文件中也是对Manager和Rquest做延展，主要使其支持数据流的传输，其中主要封装和实现了NSURLSessionStreamDelegate相关的代理方法。
- ResponseSerialization.swift -- 该文件中主要是对Request类进行数据解析的延展的。其中封装了各种对响应数据的解析方式，其中包括Data、String、JSON、PropertyList等解析方式。
- NetworkReachabilityManager.swift -- 该文件主要是对SystemConfiguration.framework中的SCNetworkReachability相关的东西进行封装的，主要用来管理和监听网络状态的变化。
- ServerTrustPolicy.swift -- 这个文件主要是对NSURLSession做的延展，其中定义了各种网络请求的认证策略，主要证书认证相关东西。
- Timeline.swift -- 该文件是为了方便调试而生的，其中记录了相关操作的时间点，并且对其进行记录，便于在Debug时使用到。
- Validation.swift -- 主要是用来验证请求是否成功，如果出错了就做相应的处理。

### SDWebImage

- [SDWebImage](https://github.com/SDWebImage/SDWebImage) - This library provides an async image downloader with cache support. For convenience, we added categories for UI elements like UIImageView, UIButton, MKAnnotationView ([Examples](https://github.com/SDWebImage/SDWebImage/tree/master/Examples)). 
    <div align=center>
    <img src="https://raw.githubusercontent.com/SDWebImage/SDWebImage/master/SDWebImage_logo.png" width="50%" />
    </div>

**Coders for additional image formats**
- SDWebImageWebPCoder - coder for WebP image format. Based on libwebp
- SDWebImageHEIFCoder - coder to support HEIF image without Apple's Image/IO framework, iOS 8+/macOS 10.10+ support.
- SDWebImageBPGCoder - coder for BPG format
- SDWebImageFLIFCoder - coder for FLIF format
- and more from community!

**Loaders**
- SDWebImagePhotosPlugin - plugin to support loading images from Photos (using Photos.framework)

**Integration with 3rd party libraries**
- SDWebImageFLPlugin - plugin to support FLAnimatedImage as the engine for animated GIFs
- SDWebImageYYPlugin - plugin to integrate YYImage & YYCache for image rendering & caching
- SDWebImageProgressiveJPEGDemo - demo project for using SDWebImage + Concorde library for Progressive JPEG decoding

**Make our lives easier**
- libwebp-Xcode - A wrapper for libwebp + an Xcode project.
- libheif-Xcode - A wrapper for libheif + an Xcode project.
- and more third-party C/C++ image codec libraries with CocoaPods/Carthage support.

### Kingfisher

- [Kingfisher](https://github.com/onevcat/Kingfisher) - A lightweight, pure-Swift library for downloading and caching images from the web.
    <div align=center>
    <img src="https://raw.githubusercontent.com/onevcat/Kingfisher/master/images/logo.png" width="50%" />
    </div>

### Masonry-SnapKit

*链式编程，AutoLayout*

- [Masonry](https://github.com/SnapKit/Masonry) - Harness the power of AutoLayout NSLayoutConstraints with a simplified, chainable and expressive syntax. Supports iOS and OSX Auto Layout.
```ObjC
UIEdgeInsets padding = UIEdgeInsetsMake(10, 10, 10, 10);

[view1 mas_makeConstraints:^(MASConstraintMaker *make) {
    make.top.equalTo(superview.mas_top).with.offset(padding.top); //with is an optional semantic filler
    make.left.equalTo(superview.mas_left).with.offset(padding.left);
    make.bottom.equalTo(superview.mas_bottom).with.offset(-padding.bottom);
    make.right.equalTo(superview.mas_right).with.offset(-padding.right);
}];
```

- [SnapKit](https://github.com/SnapKit/SnapKit) - A Swift Autolayout DSL for iOS & OS X ([http://snapkit.io](http://snapkit.io)).
```Swift
import SnapKit

class MyViewController: UIViewController {
    lazy var box = UIView()

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.addSubview(box)
        box.snp.makeConstraints { (make) -> Void in
            make.width.height.equalTo(50)
            make.center.equalTo(self.view)
        }
    }
}
```

### YYKit

- [YYKit](https://github.com/ibireme/YYKit) - 一组庞大、功能丰富的 iOS 组件。
    - [YYModel](https://github.com/ibireme/YYModel) - 高性能的 iOS JSON 模型框架。
    - [YYCache](https://github.com/ibireme/YYCache) - 高性能的 iOS 缓存框架。
    - [YYImage](https://github.com/ibireme/YYImage)  - 功能强大的 iOS 图像框架。
    - [YYWebImage](https://github.com/ibireme/YYWebImage) - 高性能的 iOS 异步图像加载框架。
    - [YYText](https://github.com/ibireme/YYText) - 功能强大的 iOS 富文本框架。
    - [YYKeyboardManager](https://github.com/ibireme/YYKeyboardManager) - iOS 键盘监听管理工具。
    - [YYDispatchQueuePool](https://github.com/ibireme/YYDispatchQueuePool) - iOS 全局并发队列管理工具。
    - [YYAsyncLayer](https://github.com/ibireme/YYAsyncLayer) - iOS 异步绘制与显示的工具。
    - [YYCategories](https://github.com/ibireme/YYCategories) - 功能丰富的 Category 类型工具库。

### DataSources

- [DifferenceKit](https://github.com/ra1028/DifferenceKit) - 💻 A fast and flexible O(n) difference algorithm framework for Swift collection.

- [DiffableDataSources](https://github.com/ra1028/DiffableDataSources) - 💾 A library for backporting UITableView/UICollectionViewDiffableDataSource.

- [RxDataSources](https://github.com/RxSwiftCommunity/RxDataSources) - UITableView and UICollectionView Data Sources for RxSwift (sections, animated updates, editing …).

- [IGListKit](https://github.com/Instagram/IGListKit) - A data-driven UICollectionView framework for building fast and flexible lists.

- [FlexibleDiff](https://github.com/RACCommunity/FlexibleDiff) - A simple collection diffing μframework for Swift, allowing separated defintions of identity and equality for the purpose of diffing.

- [DeepDiff](https://github.com/onmyway133/DeepDiff) - 🦀Amazingly incredible extraordinary lightning fast diffing in Swift.

### ReactiveCocoa-RxSwift

*函数响应式编程*

- [ReactiveCocoa](https://github.com/ReactiveCocoa/ReactiveCocoa) - Cocoa framework and Obj-C dynamism bindings for [ReactiveSwift](https://github.com/ReactiveCocoa/ReactiveSwift), It Offers composable, declarative and flexible primitives that are built around the grand concept of streams of values over time. These primitives can be used to uniformly represent common Cocoa and generic programming patterns that are fundamentally an act of observation. 
    <div align=center>
    <img src="https://github.com/ReactiveCocoa/ReactiveCocoa/raw/master/Logo/PNG/logo.png" width="50%" />
    </div>

- [RxSwift](https://github.com/ReactiveX/RxSwift) - Reactive Programming in Swift ([RxExample](https://github.com/ReactiveX/RxSwift/tree/master/RxExample)). 
RxSwift comprises five separate components depending on eachother in the following way:
```
┌──────────────┐    ┌──────────────┐
│   RxCocoa    ├────▶   RxRelay    │
└───────┬──────┘    └──────┬───────┘
        │       │        
┌───────▼──────────────────▼───────┐
│             RxSwift   │
└───────▲──────────────────▲───────┘
        │       │        
┌───────┴──────┐    ┌──────┴───────┐
│    RxTest    │    │  RxBlocking  │
└──────────────┘    └──────────────┘
````

- [ReactiveObjC](https://github.com/ReactiveCocoa/ReactiveObjC) - This is legacy introduction to the Objective-C ReactiveCocoa, which is now known as ReactiveObjC. For the updated version that uses Swift, please see [ReactiveCocoa](https://github.com/ReactiveCocoa/ReactiveCocoa) or [ReactiveSwift](https://github.com/ReactiveCocoa/ReactiveSwift). ReactiveObjC (formally ReactiveCocoa or RAC) is an Objective-C framework inspired by [Functional Reactive Programming](http://en.wikipedia.org/wiki/Functional_reactive_programming). It provides APIs for composing and transforming streams of values.

### ReactiveSwift

- [ReactiveSwift](https://github.com/ReactiveCocoa/ReactiveSwift) - ReactiveSwift offers composable, declarative and flexible primitives that are built around the grand concept of streams of values over time.

- [Kickstarter-ReactiveExtensions](https://github.com/kickstarter/Kickstarter-ReactiveExtensions) - A collection of extensions to the ReactiveSwift framework.

- [SwiftRex](https://github.com/SwiftRex/SwiftRex) - Swift + Redux + (Combine|RxSwift|ReactiveSwift) -> SwiftRex

### Moya

- [Moya](https://github.com/Moya/Moya) - Network abstraction layer written in Swift. 
    <div align=center>
    <img src="https://github.com/Moya/Moya/raw/master/web/logo_github.png" width="30%" />
    </div>

### RestKit

- [RestKit](https://github.com/RestKit/RestKit) - RestKit is a framework for consuming and modeling RESTful web resources on iOS and OS X.

### Charts

- [Charts](https://github.com/danielgindi/Charts) - Beautiful charts for iOS/tvOS/OSX! The Apple side of the crossplatform MPAndroidChart.

- [PNChart](https://github.com/kevinzhow/PNChart) - A simple and beautiful chart lib used in Piner and CoinsMan for iOS.【 [Preview](https://camo.githubusercontent.com/9e72142e4ec6766cac15fdfeb66ebb25915f2727696ec863d408a5c23b6b77d4/68747470733a2f2f73332e616d617a6f6e6177732e636f6d2f666172736869642e67686f64732e6769746875622f706e63686172742d6769662e676966) 】

- [PNChart-Swift](https://github.com/kevinzhow/PNChart-Swift) - A simple and beautiful chart lib used in Piner and CoinsMan for iOS Swift Implementation.

### Messages

- [SwiftMessages](https://github.com/SwiftKickMobile/SwiftMessages) - A very flexible message bar for iOS written in Swift.

### EmptyDataSet

- [DZNEmptyDataSet](https://github.com/dzenbot/DZNEmptyDataSet) - A drop-in UITableView/UICollectionView superclass category for showing empty datasets whenever the view has no content to display.

- [EmptyDataSet-Swift](https://github.com/Xiaoye220/EmptyDataSet-Swift) - DZNEmptyDataSet implement with Swift.A drop-in UITableView/UICollectionView superclass category for showing empty datasets whenever the view has no content to display. DZNEmptyDataSet with Swift.

### JSON

- [HandyJSON](https://github.com/alibaba/HandyJSON) - A handy swift json-object serialization/deserialization library.

- [ObjectMapper](https://github.com/tristanhimmelman/ObjectMapper) - Simple JSON Object mapping written in Swift.

- [Moya-ObjectMapper](https://github.com/alibaba/Moya-ObjectMapper) - ObjectMapper bindings for Moya and RxSwift.

### KeyboardManager

- [IQKeyboardManager](https://github.com/hackiftekhar/IQKeyboardManager) - Codeless drop-in universal library allows to prevent issues of keyboard sliding up and cover UITextField/UITextView. Neither need to write any code nor any setup required and much more.
    <div align=center>
    <img src="https://raw.githubusercontent.com/hackiftekhar/IQKeyboardManager/master/Demo/Resources/icon.png" width="30%" />
    </div>

- [IQKeyboardManagerSwift](https://github.com/acegg/IQKeyboardManagerSwift) - IQKeyboardManager 's Swift Module.

### PhotoPicker

- [HXPHPicker](https://github.com/SilenceLove/HXPHPicker) - Photo/Video Selector-Supports LivePhoto, GIF selection, online download of resources on iCloud, and editing of photos/videos.
    <div align=center>
    <img src="https://github.com/SilenceLove/HXPHPicker/raw/main/Documentation/Support/sample_graph_en.png" width="50%" />
    </div>

- [HXPhotoPicker](https://github.com/SilenceLove/HXPhotoPicker) - 图片/视频选择器 - 支持LivePhoto、GIF图片选择、3DTouch预览、在线下载iCloud上的资源、编辑图片/视频、浏览网络图片 功能 Imitation wx photo/image picker - support for LivePhoto, GIF image selection, 3DTouch preview, Download the resources on iCloud online, browse the web image function.
    <div align=center>
    <img src="https://github.com/SilenceLove/PictureMaterial/raw/main/HXPhotoPicker/README/sample_graph.png?raw=true" width="30%" />
    </div>
    
- [TZImagePickerController](https://github.com/banchichen/TZImagePickerController) - 一个支持多选、选原图和视频的图片选择器，同时有预览、裁剪功能，支持iOS6+。 A clone of UIImagePickerController, support picking multiple photos、original photo、video, also allow preview photo and video, support iOS6+.

- [ZYImagePickerAndBrower](https://github.com/RainManGO/ZYImagePickerAndBrower) - 2018iOS微信相册，朋友圈imagePicker UI仿，微信照片选择器 多选序号

### Deeplink

- [URLNavigator](https://github.com/devxoul/URLNavigator) - ⛵️ Elegant URL Routing for Swift

- [DeepLinkKit](https://github.com/button/DeepLinkKit) - A splendid route-matching, block-based way to handle your deep links.
    <div align=center>
    <img src="https://cloud.githubusercontent.com/assets/10621371/7642874/8c90f72a-fa62-11e4-9092-dfff96c24f01.png" width="50%" />
    </div>
    
- [Appz](https://github.com/SwiftKitz/Appz) - 📱 Launch external apps, and deeplink, with ease using Swift!

- [Deeplink](https://github.com/TizianoCoroneo/Deeplink) - A library to parse deeplinks and their arguments using String interpolation.

- [XRouter](https://github.com/ios-utils/XRouter) - Navigate anywhere in just one line.

### SwiftKit

- [CXSwiftKit](https://github.com/chenxing640/CXSwiftKit) - 提供Swift丰富的扩展和实用工具类(This provides the utilities and rich extensions of Swift.)。

- [SwifterSwift](https://github.com/SwifterSwift/SwifterSwift) - A handy collection of more than 500 native Swift extensions to boost your productivity.
    <div align=center>
    <img src="https://camo.githubusercontent.com/f3284d3107a21b9fd2c1e53393a29eab9c1711154227250ba6d2f0c2c3134f0b/68747470733a2f2f63646e2e7261776769742e636f6d2f5377696674657253776966742f5377696674657253776966742f6d61737465722f4173736574732f6c6f676f2e737667" width="50%" />
    </div>
    
### Hero

- [Hero](https://github.com/HeroTransitions/Hero) - Elegant transition library for iOS & tvOS.
    <div align=center>
    <img src="https://camo.githubusercontent.com/e9374e9ca989dca8203800d3c203f42d8615b05b06d2478249cb4f01fbf9fbd3/68747470733a2f2f63646e2e7261776769742e636f6d2f6c6b7a68616f2f4865726f2f343237643566322f5265736f75726365732f4865726f2e737667" width="50%" />
    </div>
    
### pop

- [pop](https://github.com/facebookarchive/pop) - An extensible iOS and OS X animation library, useful for physics-based interactions.

### NVActivityIndicatorView

- [NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView) - A collection of awesome loading animations.【 [Priview](https://raw.githubusercontent.com/ninjaprox/NVActivityIndicatorView/master/Demo.gif) 】

### PageView

- [LTScrollView](https://github.com/gltwy/LTScrollView) - ScrollView嵌套ScrolloView（UITableView 、UICollectionView）解决方案， 支持OC / Swift（持续更新中...）

- [DNSPageView](https://github.com/Danie1s/DNSPageView) - 一个纯 Swift 的轻量级、灵活且易于使用的 PageView 框架，titleView 和 contentView 可以布局在任意地方，可以纯代码初始化，也可以使用 xib 或者 storyboard 初始化，并且提供了常见样式属性进行设置。

- [JXSegmentedView](https://github.com/pujiaxin33/JXSegmentedView )- A powerful and easy to use segmented view (segmentedcontrol, pagingview, pagerview, pagecontrol, categoryview)'
    <div align=center>
    <img src="https://github.com/pujiaxin33/JXSegmentedView/raw/master/Example/JXSegmentedViewExample/Image/JXSegmentedViewSmall.png" width="50%" />
    </div>

- [GXSegmentPageView](https://github.com/gsyhei/GXSegmentPageView) - Swift版分段分页组件，（网易新闻、腾讯新闻、新浪微博、今日头条等Tab效果）

- [HMSegmentedControl](https://github.com/HeshamMegid/HMSegmentedControl) - A highly customizable drop-in replacement for UISegmentedControl.

- [SJFluidSegmentedControl](https://github.com/sasojadrovski/SJFluidSegmentedControl) - A segmented control with custom appearance and interactive animations. Written in Swift 3.0.【 [Preview](https://raw.githubusercontent.com/sasojadrovski/SJFluidSegmentedControl/master/Screenshots/sample.gif) 】

- [LUNSegmentedControl](https://github.com/Stormotion-Mobile/LUNSegmentedControl) - Customizable segmented control with interactive animation(ObjC).

- [WJPageManager](https://github.com/WJCha/WJPageManager) - WJPageManager提供了可以快速完成项目中常见的标题栏以及对应的分页控制器创建与逻辑处理。【 [Priview 1](https://github.com/WJCha/WJPageManager/raw/master/resource/title.gif) | [Priview 2](https://github.com/WJCha/WJPageManager/raw/master/resource/page.gif) 】

- [YNPageScrollViewController](https://github.com/yongyuandouneng/YNPageScrollViewController) - 一个强大的PageScrollViewController滑动库。菜单多种样式选择，支持悬浮样式、导航条样式、顶部样式。【 [Priview 1](https://github.com/yongyuandouneng/YNPageScrollViewController/raw/master/GifAndImage/myProject.gif) | [Priview 2](https://github.com/yongyuandouneng/YNPageScrollViewController/raw/master/GifAndImage/Demo.gif) 】

- [YNPageViewController](https://github.com/yongyuandouneng/YNPageViewController) - 特斯拉组件、QQ联系人布局、多页面嵌套滚动、悬停效果、美团、淘宝、京东、微博、腾讯新闻、网易新闻、今日头条等标题滚动视图。 (YNPageScrollViewController重构版) 【 [Priview](https://camo.githubusercontent.com/4c18ea3624dff75c20df1093bb143e9b36339f34/687474703a2f2f706178646c72646b372e626b742e636c6f7564646e2e636f6d2f594e5061676556696577436f6e74726f6c6c65724769662e676966) 】

### CyclePagerView

- [SDCycleScrollView](https://github.com/gsdios/SDCycleScrollView) - Autoscroll Banner. 无限循环图片、文字轮播器

- [ZCycleView](https://github.com/MQZHot/ZCycleView)- 使用UICollectionView实现常见图片无限轮播，支持自定义cell，自定义pageControl，以及轮播样式

- [WRCycleScrollView](https://github.com/wangrui460/WRCycleScrollView) - Swift 自动无限轮播用
    <div align=center>
    <img src="https://github.com/wangrui460/WRCycleScrollView/raw/master/screenshots/WRCycleScrollView.png" width="50%" />
    </div>

- [FSPagerView](https://github.com/WenchaoD/FSPagerView) - FSPagerView is an elegant Screen Slide Library. It is extremely helpful for making Banner View、Product Show、Welcome/Guide Pages、Screen/ViewController Sliders.
    <div align=center>
    <img src="https://cloud.githubusercontent.com/assets/5186464/24086370/45e7e8dc-0d49-11e7-86aa-139354fe00c5.jpg" width="50%" />
    </div>

- [TYCyclePagerView](https://github.com/12207480/TYCyclePagerView) - a simple and usefull cycle pager view ,and auto scroll banner view(轮播图) , include pageControl for iOS, support Objective-C and swift.

### Code Quality

- [FLEX](https://github.com/FLEXTool/FLEX) - An in-app debugging and exploration tool for iOS.

- [BonMot](https://github.com/Rightpoint/BonMot) - Beautiful, easy attributed strings in Swift.

### Permission

- [PermissionsKit](https://github.com/sparrowcode/PermissionsKit) - Universal API for request permission and get its statuses.

- [Permission](https://github.com/delba/Permission) - A unified API to ask for permissions on iOS.

- [BAPrivacyManager](https://github.com/boai/BAPrivacyManager) - iOS 所有隐私权限封装，定位、蓝牙、通知、运动、日历、相册、相机等 14 种权限封装！
    <div align=center>
    <img src="https://github.com/BAHome/BAPrivacyManager/raw/master/Images/BAPrivacyManager1.png" width="20%" />
    </div>

### Socket

- [CocoaAsyncSocket](https://github.com/robbiehanson/CocoaAsyncSocket) - Asynchronous socket networking library for Mac and iOS.

- [SocketRocket](https://github.com/facebookincubator/SocketRocket) - A conforming Objective-C WebSocket client library.

- [SocketIO](https://github.com/socketio/socket.io-client-swift) - Socket.IO-client for iOS/OS X.

- [Starscream](https://github.com/daltoniam/Starscream) - Websockets in swift for iOS and OSX

- [SwiftWebSocket](https://github.com/tidwall/SwiftWebSocket) - Fast Websockets in Swift for iOS and OSX.

- [BlueSocket](https://github.com/Kitura/BlueSocket) - Socket framework for Swift using the Swift Package Manager. Works on iOS, macOS, and Linux.

### Rswift

- [R.swift](https://github.com/mac-cain13/R.swift) - Strong typed, autocompleted resources like images, fonts and segues in Swift projects.

### SwiftGen

- [SwiftGen](https://github.com/SwiftGen/SwiftGen) - The Swift code generator for your assets, storyboards, Localizable.strings, … — Get rid of all String-based APIs!

### TabBar

- [animated-tab-bar](https://github.com/Ramotion/animated-tab-bar) - RAMAnimatedTabBarController is a Swift UI module library for adding animation to iOS tabbar items and icons. iOS library made by @Ramotion

- [ESTabBarController](https://github.com/eggswift/ESTabBarController) - ESTabBarController is a Swift model for customize UI, badge and adding animation to tabbar items. Support lottie!

- [CYLTabBarController](https://github.com/ChenYilong/CYLTabBarController) - [EN]It is an iOS UI module library for adding animation to iOS tabbar items and icons with Lottie, and adding a bigger center UITabBar Item. [CN]【中国特色 TabBar】一行代码实现 Lottie 动画TabBar，支持中间带+号的TabBar样式，自带红点角标，支持动态刷新。【iOS13 & Dark Mode & iPhone XS MAX supported】

### AcknowList

- [AcknowList](https://github.com/vtourraine/AcknowList) - Acknowledgements screen displaying a list of licenses, for example from CocoaPods and Swift Package Manager dependencies.

### FloatingPanel

- [FloatingPanel](https://github.com/scenee/FloatingPanel) - A clean and easy-to-use floating panel UI component for iOS.【 [Preview1](https://github.com/SCENEE/FloatingPanel/blob/master/assets/maps.gif) | [Preview2](https://github.com/SCENEE/FloatingPanel/blob/master/assets/stocks.gif) | [Preview3](https://github.com/SCENEE/FloatingPanel/blob/master/assets/maps-landscape.gif) 】

- [PanModal](https://github.com/slackhq/PanModal) - An elegant and highly customizable presentation API for constructing bottom sheet modals on iOS.【 [Preview](https://github.com/slackhq/PanModal/raw/master/Screenshots/panModal.gif) 】

- [HWPanModal](https://github.com/HeathWang/HWPanModal) - HWPanModal presents controller from bottom and drag to dismiss, high customize. iOS13 default modalPresentationStyle. 任意形式的底部弹框动画；头条、知乎、抖音弹出评论效果；地图浮层，iOS13 present默认模态效果。【 [Preview1](https://github.com/HeathWang/HWPanModal/raw/master/images/HWPanModal_example.gif) | [Preview2](https://github.com/HeathWang/HWPanModal/raw/master/images/HWPanModal_example_4.gif) | [Preview3](https://github.com/HeathWang/HWPanModal/raw/master/images/HWPanModal_example_2.gif) 】

- [OverlayController](https://github.com/snail-z/OverlayController) - OverlayController easily pop your custom view and provide optional transition animation. written in swift 5.0.
    <div align=center>
    <img src="https://github.com/snail-z/OverlayController/raw/master/Preview/ovclogo.jpg?raw=true" width="50%" />
    </div>
    
- [DrawerKit](https://github.com/babylonhealth/DrawerKit) - DrawerKit lets an UIViewController modally present another UIViewController in a manner similar to the way Apple's Maps app works.

- [DrawerView](https://github.com/mkko/DrawerView) - A drop-in view, to be used as a drawer anywhere in your app.

- [UltraDrawerView](https://github.com/super-ultra/UltraDrawerView) - 🐝 Super ultra drawer view.

- [Pulley](https://github.com/52inc/Pulley) - A library to imitate the iOS 10 Maps UI.

- [Rideau](https://github.com/FluidGroup/Rideau) - 🎪 Rideau is a drawer UI similar to what Apple's apps use. (e.g Maps, Shortcuts) Supports multiple snap points.

### HTTPCache

- [KTVHTTPCache](https://github.com/ChangbaDevs/KTVHTTPCache) - A powerful media cache framework.

- [SJMediaCacheServer](https://github.com/changsanjiang/SJMediaCacheServer) - A HTTP Media Caching Framework. It can cache FILE or HLS media. 音视频边播边缓存框架, 支持 HLS(m3u8) 和 FILE(mp4, mp3等).

- [EGOCache](https://github.com/enormego/EGOCache) - Fast Caching for Objective-C (iPhone & Mac Compatible).

- [RxCache](https://github.com/FuckBoilerplate/RxCache) - Reactive caching library for Swift

- [RxNetworks](https://github.com/yangKJ/RxNetworks) - 🧚Network API With RxSwift + Moya + HandyJSON + Plugins. `pod 'RxNetworks/MoyaPlugins/Cache'`

- [RxNetwork](https://github.com/Pircate/RxNetwork) - A swift network library based on Moya/RxSwift. `pod 'RxNetwork/Cacheable'`

### ListView

- [UITableView-FDTemplateLayoutCell](https://github.com/forkingdog/UITableView-FDTemplateLayoutCell) - Template auto layout cell for automatically UITableViewCell height calculating.【 [Preview](https://cloud.githubusercontent.com/assets/219689/7244961/4209de32-e816-11e4-87bc-b161c442d348.png) 】

- [SDAutoLayout](https://github.com/gsdios/SDAutoLayout) - One line of code to implement automatic layout. 一行代码搞定自动布局！支持Cell和Tableview高度自适应，Label和ScrollView内容自适应，致力于做最简单易用的AutoLayout库。The most easy way for autoLayout. Based on runtime.

- [HYBSnapkitAutoCellHeight](https://github.com/CoderJackyHuang/HYBSnapkitAutoCellHeight) - 基于[SnapKit](#Masonry与SnapKit)写的自动计算cell的高度的扩展。【 [Priview](https://github.com/CoderJackyHuang/HYBSnapkitAutoCellHeight/raw/master/snapkitcellheight.gif) 】

- [ZJTableViewManager](https://github.com/jzhang0480/ZJTableViewManager) - Powerful data driven tableView，make tableView build so easy.

- [TagListView](https://github.com/ElaWorkshop/TagListView) - Simple and highly customizable iOS tag list view, in Swift.

- [ParallaxHeader](https://github.com/romansorochak/ParallaxHeader) - Simple way to add parallax header to UIScrollView/UITableView written in Swift.

- [DAExpandAnimation](https://github.com/ifitdoesntwork/DAExpandAnimation) - A custom modal transition that presents a controller with an expanding effect while sliding out the presenter remnants.【 [Priview](https://raw.githubusercontent.com/ifitdoesntwork/DAExpandAnimation/master/Xpandr/screencapture.gif) 】

### Localize

- [Localize-Swift](https://github.com/marmelroy/Localize-Swift) - Swift friendly localization and i18n with in-app language switching.

### Date

- [SwiftDate](https://github.com/malcommac/SwiftDate) - Toolkit to parse, validate, manipulate, compare and display dates, time & timezones in Swift.

### Reachability

- [Reachability](https://github.com/ashleymills/Reachability.swift) - Replacement for Apple's Reachability re-written in Swift with closures.

### CocoaLumberjack

- [CocoaLumberjack](https://github.com/CocoaLumberjack/CocoaLumberjack) - A fast & simple, yet powerful & flexible logging framework for Mac and iOS.

### AsyncDisplayKit

- [AsyncDisplayKit](https://github.com/facebookarchive/AsyncDisplayKit) - Smooth asynchronous user interfaces for iOS apps.

### JVFloatLabeledTextField

- [JVFloatLabeledTextField](https://github.com/jverdi/JVFloatLabeledTextField) - UITextField subclass with floating labels - inspired by Matt D. Smith's design: https://dribbble.com/shots/1254439--GIF-Mobile-Form-Interaction?list=users

### FLAnimatedImage

- [FLAnimatedImage](https://github.com/Flipboard/FLAnimatedImage) - Performant animated GIF engine for iOS.

### TABAnimated

- [TABAnimated](https://github.com/tigerAndBull/TABAnimated) - A skeleton screen loading framework based on native for iOS. (一个由iOS原生组件映射出骨架屏的框架，包含快速植入，低耦合，兼容复杂视图等特点，提供国内主流骨架屏动画的加载方案，同时支持上拉加载更多、自定制动画。)

### lottie-ios

- [lottie-ios](https://github.com/airbnb/lottie-ios) - An iOS library to natively render After Effects vector animations.

### APNGKit

- [APNGKit](https://github.com/onevcat/APNGKit) - High performance and delightful way to play with APNG format in iOS.

### webp

- [libwebp](https://github.com/webmproject/libwebp) - WebP codec is a library to encode and decode images in WebP format. This package contains the library that can be used in other programs to add WebP support, as well as the command line tools 'cwebp' and 'dwebp' to compress and decompress images respectively. See https://developers.google.com/speed/webp for details on the image format.

- [SDWebImageWebPCoder](https://github.com/SDWebImage/SDWebImageWebPCoder) - SDWebImageWebPCoder supports both WebP decoding and encoding, for Static WebP or Animated WebP as well.

### Nuke

- [Nuke](https://github.com/kean/Nuke) - Image loading system.

### VAP

- [vap](https://github.com/Tencent/vap) - VAP（Video Animation Player）是企鹅电竞开发，用于播放酷炫动画的实现方案，相比Webp, Apng动图方案，具有高压缩率(素材更小)、硬件解码(解码更快)的优点；相比Lottie，能实现更复杂的动画效果(比如粒子特效)。| VAP(Video Animation Player) is a fantastic animation player. It can play video with alpha channel. Compared with Webp or Apng animation, it has the advantages of high compression rate (smaller material) and hardware decoding. Compared with Lottie, it can achieve more complex animation effects (such as particle effects).

### SVGAPlayer

- [SVGAPlayer](https://github.com/svga/SVGAPlayer-iOS) - Similar to Lottie. Render After Effects / Animate CC (Flash) animations natively on Android and iOS, Web. 使用 SVGAPlayer 在 Android、iOS、Web中播放 After Effects / Animate CC (Flash) 动画。【 [svga.io](https://svga.io/) 】

### SVG

- [SVGKit](https://github.com/SVGKit/SVGKit) - Display and interact with SVG Images on iOS / OS X, using native rendering (CoreAnimation).

### DKNightVersion

- [DKNightVersion](https://github.com/draveness/DKNightVersion) - Manage Colors, Integrate Night/Multiple Themes. (Unmaintained).

### PaperOnboarding

- [paper-onboarding](https://github.com/Ramotion/paper-onboarding) - PaperOnboarding is a material design UI slider. Swift UI library by @Ramotion.

### GraphQL

- [apollo-ios](https://github.com/apollographql/apollo-ios) - 📱 A strongly-typed, caching GraphQL client for iOS, written in Swift.


## OOM-Leaks-Crash

- [MLeaksFinder](https://github.com/Tencent/MLeaksFinder) - Find memory leaks in your iOS app at develop time.

- [AMLeaksFinder](https://github.com/liangdahong/AMLeaksFinder) - A small tool for automatically detecting the [controller, view memory leak] in the project. 一款用于自动检测项目中【控制器内存泄漏，View 内存泄漏】的小工具，支持 ObjC，Swift。

- [FBRetainCycleDetector](https://github.com/facebook/FBRetainCycleDetector) - iOS library to help detecting retain cycles in runtime.

- [WKVCDeallocMonitor](https://github.com/WangKunKun/WKVCDeallocMonitor) - ViewController 未释放时 进行UI层级提示。

- [OOMDetector](https://github.com/Tencent/OOMDetector) - OOMDetector是一个iOS内存监控组件，应用此组件可以帮助你轻松实现OOM监控、大内存分配监控、内存泄漏检测等功能。| OOMDetector is a memory monitoring component for iOS which provides you with OOM monitoring, memory allocation monitoring, memory leak detection and other functions.

- [FBAllocationTracker](https://github.com/facebookarchive/FBAllocationTracker) - FBAllocationTracker is a tool that can be used as an interface to Objective-C objects allocated in memory. It can be used to query all instances of given class, or you can (as in Instruments) mark generations and query for objects created only in scope of one generation.

- [AvoidCrash](https://github.com/chenfanfang/AvoidCrash) - This framework can effective avoid crash by potential error code. For example : If you insert a nil into a mutable array, this framework can avoid crash and note you that where cause crash.


### HTML Parser

- [SwiftSoup](https://github.com/scinfu/SwiftSoup) - SwiftSoup: Pure Swift HTML Parser, with best of DOM, CSS, and jquery (Supports Linux, iOS, Mac, tvOS, watchOS)

- [Ono](https://github.com/mattt/Ono) - A sensible way to deal with XML & HTML for iOS & macOS.


### Rx Series

- [RxSwift](https://github.com/ReactiveX/RxSwift) - Reactive Programming in Swift ([RxExample](https://github.com/ReactiveX/RxSwift/tree/master/RxExample)). 

- [RxGesture](https://github.com/RxSwiftCommunity/RxGesture) - RxSwift reactive wrapper for view gestures

- [RxOptional](https://github.com/RxSwiftCommunity/RxOptional) - RxSwift extensions for Swift optionals and "Occupiable" types

- [RxViewController](https://github.com/devxoul/RxViewController) - RxSwift wrapper for UIViewController and NSViewController

- [RxTheme](https://github.com/RxSwiftCommunity/RxTheme) - Theme management based on Rx

- [NSObject-Rx](https://github.com/RxSwiftCommunity/NSObject-Rx) - Handy RxSwift extensions on NSObject, including rx.disposeBag.

- [RxDataSources](https://github.com/RxSwiftCommunity/RxDataSources) - UITableView and UICollectionView Data Sources for RxSwift (sections, animated updates, editing …).

- [Moya](https://github.com/Moya/Moya) - Network abstraction layer written in Swift. 

- [RxNetworks](https://github.com/yangKJ/RxNetworks) - 🧚Network API With RxSwift + Moya + HandyJSON + Plugins. `pod 'RxNetworks/MoyaPlugins/Cache'`

- [RxNetwork](https://github.com/Pircate/RxNetwork) - A swift network library based on Moya/RxSwift. `pod 'RxNetwork/Cacheable'`

- [ReactorKit](https://github.com/ReactorKit/ReactorKit) - A library for reactive and unidirectional Swift applications

- [SwiftHub](https://github.com/khoren93/SwiftHub) - GitHub iOS client in RxSwift and MVVM-C clean architecture.


### AR-VR

**【Learning Source】**

- [SLAM技术综述](https://zhuanlan.zhihu.com/p/501102444)

- [该如何从0(绝对的零)开始学习SLAM？](https://www.zhihu.com/question/55901895)

- [vslam-evaluation](https://github.com/DroidAITech/vslam-evaluation) - 中科院软件研究所机器人联合实验室的vSLAM验证工作。[课程视频地址](https://www.bilibili.com/video/av67438805)

- [Lee-SLAM-source](https://github.com/AlbertSlam/Lee-SLAM-source) - SLAM 开发学习资源与经验分享。

- [ORB-SLAM2](https://github.com/raulmur/ORB_SLAM2) - Real-Time SLAM for Monocular, Stereo and RGB-D Cameras, with Loop Detection and Relocalization Capabilities

- [ORB-SLAM3](https://github.com/UZ-SLAMLab/ORB_SLAM3) - ORB-SLAM3: An Accurate Open-Source Library for Visual, Visual-Inertial and Multi-Map SLAM.

- [Lee-VR-Source](https://github.com/GeekLiB/Lee-VR-Source) - VR developers necessary resources(VR 开发者必备资源汇总)。

- [awesome-AR](https://github.com/dharmeshkakadia/awesome-AR) - A curated list of awesome AR (Augmented Reality) resources.

- [AR-Source](https://github.com/GeekLiB/AR-Source) - Augmented reality (AR) development resources(增强现实开发资源汇总)---AIRX整理。

**【Library】**

- [SceneKit-SCNLine](https://github.com/maxxfrazer/SceneKit-SCNLine) - Draw a tube or thick line in SceneKit.`pod 'SCNLine' or pod 'SCNLine', '~> 1.3.0'`【 [Preview](https://github.com/maxxfrazer/SceneKit-SCNLine/blob/master/media/lines-hello-lighton.gif) 】

- [ARKit-FocusNode](https://github.com/maxxfrazer/ARKit-FocusNode) - FocusSquare class taken straight from Apple's ARKit examples and packed up for anyone to use with ease. `pod 'FocusNode'`

- [FocusEntity](https://github.com/maxxfrazer/FocusEntity) - Bringing the scanning box from SceneKit to RealityKit. Go to File > Swift Packages > Add Package Dependency, and paste in this link: `https://github.com/maxxfrazer/FocusEntity`.【 [Preview](https://github.com/maxxfrazer/FocusEntity/blob/main/media/FocusEntity-Example1.gif) 】

- [RealityUI](https://github.com/maxxfrazer/RealityUI) - A Swift Package for creating familiar UI Elements and animations in a RealityKit rendered Augmented Reality or Virtual Reality scene. Add the URL of this repository to your Xcode 11+ Project under Project > Swift Packages. `https://github.com/maxxfrazer/RealityUI.git` 【 [Preview](https://github.com/maxxfrazer/RealityUI/blob/main/media/realityui_banner.gif?raw=true) 】

- [MultipeerHelper](https://github.com/maxxfrazer/MultipeerHelper) - A light swift wrapper around the iOS MultipeerConnectivity framework. Including an example project using RealityKit's MultipeerConnectivityService. This is a Swift Package, and can be installed via Xcode with the URL of this repository: `git@github.com:maxxfrazer/MultipeerHelper.git`【 [Preview](https://github.com/maxxfrazer/MultipeerHelper/blob/main/media/MultipeerHelper-Header.png?raw=true) 】

- [ARKit-CoreLocation](https://github.com/AndrewHartAR/ARKit-CoreLocation) - Combines the high accuracy of AR with the scale of GPS data. `pod 'ARCL'`

- [ARKit-SCNPath](https://github.com/maxxfrazer/ARKit-SCNPath) -  Create paths for your Augmented Reality environments using just points to represent the centre of the path. `pod 'SCNPath'`【 [Preview1](https://github.com/maxxfrazer/ARKit-SCNPath/raw/master/media/path-example-1.gif) | [Preview2](https://github.com/maxxfrazer/ARKit-SCNPath/raw/master/media/path-example-2.gif) | [Preview3](https://github.com/maxxfrazer/ARKit-SCNPath/raw/master/media/path-example-3.gif) 】

- [location-based-ar](https://github.com/Mist3r-R/location-based-ar) - A Swift Package for creating Augmented Reality applications for iOS with the use of Location-Based Services. Add the URL of this repository to your Xcode 12+ Project under File > Swift Packages. `https://github.com/Mist3r-R/location-based-ar.git`

**【Sample】**

- [AR_100Days](https://github.com/satoshi0212/AR_100Days) - 100 days AR implementation challenge.

- [HeavenMemoirs](https://github.com/SherlockQi/HeavenMemoirs) - AR相册 Photo Album For AR.

- [ARKit-Emperor](https://github.com/kboy-silvergym/ARKit-Emperor) - Power! Unlimited power for ARKit 2.0!

- [OutsideAR](https://github.com/DJNikka/OutsideAR) - A map using Augmented Reality to enhance festival experience.【 [Preview1](https://github.com/ProjectDent/ARKit-CoreLocation/raw/master/giphy-1.gif) | [Preview2](https://github.com/ProjectDent/ARKit-CoreLocation/raw/master/giphy-2.gif) 】

- [360iDevARNavigation](https://github.com/intere/360iDevARNavigation) - An example project for my 360iDev talk. It's an app that shows pins for the various locations, as well as navigation to those spots.

- [Animation-Collection](https://github.com/chenfengxiaoxixi/Animation-Collection) - The project contains some animation what i make in working career(AirPlane Game).

- [YYSceneKitTest](https://github.com/yejunyou/YYSceneKitTest) - 用于小白熟悉SceneKit框架及其属性的Demo集合。

- [ARBrush](https://github.com/laanlabs/ARBrush) - Quick demo of 3d drawing in ARKit using metal + SceneKit. NOTE: This is experimental code!

- [ARKit-line-drawing](https://github.com/lapfelix/ARKit-line-drawing) - Changed the default ARKit project to draw a line where the camera is positioned.【 [Preview](https://user-images.githubusercontent.com/4634735/27146321-f797f0bc-5106-11e7-90aa-00acd3603782.PNG) 】

- [Awesome-CoreML-Models](https://github.com/likedan/Awesome-CoreML-Models) - Largest list of models for Core ML (for iOS 11+)

- [ARVideoKit](https://github.com/AFathi/ARVideoKit) - Capture & record ARKit videos 📹, photos 🌄, Live Photos 🎇, and GIFs 🎆.

- [ARCharts](https://github.com/Boris-Em/ARCharts) - Lovely Augmented Reality Charts for iOS - Built with ARKit.

- [ARKit-Cardboard-VR](https://github.com/andrewnakas/ARKit-Cardboard-VR) - ARkit + GVR to make VR and Mixed Reality 6dof AR for iphone.

- [HCARKit](https://github.com/heqican/HCARKit) - ARKit实现图片识别、平面捕捉、人脸识别。

- [ARKitCarModel](https://github.com/heqican/ARKitCarModel) - ARKit实现模型交互，包括汽车模型换肤、汽车轮胎转动、车窗开关等 ARKit需要ios11 以及 A11处理器或更高版本设备支持。

- [AstRal](https://github.com/casparwylie/AstRal) - Augmented reality social network, an underworld of discussion and information to every street.

- [Euclid](https://github.com/nicklockwood/Euclid) - A Swift library for creating and manipulating 3D geometry.

- [iCarousel](https://github.com/nicklockwood/iCarousel) - A simple, highly customisable, data-driven 3D carousel for iOS and Mac OS.

- [RetroRampage](https://github.com/nicklockwood/RetroRampage) - Tutorial series demonstrating how to build a retro first-person shooter from scratch in Swift.

- [ARTetris](https://github.com/exyte/ARTetris) - Augmented Reality Tetris made with ARKit and SceneKit.

- [HDAugmentedReality](https://github.com/DanijelHuis/HDAugmentedReality) - Augmented Reality component for iOS, written in Swift.

- [RecognizingImagesToPlayVideo](https://github.com/songminzh/RecognizingImagesToPlayVideo) - Use ARKit recognizing images and play videos corresponding.

- [BXGyroscope_AR](https://github.com/bianxiang/BXGyroscope_AR) - 结合照相机，Gyroscope陀螺仪，百度定位等技术制作的一个AR增强现实示例demo.

- [Shape-Detection-in-AR](https://github.com/ashislaha/Shape-Detection-in-AR) - Detect the shape of drawing objects (classes - line, triangle, rectangle, pentagon, Hexagon, circle) and draw in Augmented Reality.

- [AR-Planes](https://github.com/HTN-2017/AR-Planes) - ✈️ An augmented reality app to visualize and discover the planes flying around you. Finalist at Hack the North 2017 in Waterloo, ON, Canada.【 [Preview1](https://github.com/HTN-2017/AR-Planes/raw/master/images/demo.jpg) | [Preview2](https://github.com/HTN-2017/AR-Planes/raw/master/images/app%20store.png) 】

- [TravelAR](https://github.com/upandey3/TravelAR) - An Augmented Reality-based iOS app that gets flights information and visualizes it in a graph in augmented reality, with nodes representing destinations and edge thickness representing price.

- [ARKit-2-Image-Tracking-Demo](https://github.com/robomex/ARKit-2-Image-Tracking-Demo) - iOS 12 + ARKit 2 + Image tracking means: Harry Potter style moving pictures, living movie posters, video postcards, paper-thin “displays,” and lots more augmented reality fun.【 [Preview](https://github.com/robomex/ARKit-2-Image-Tracking-Demo/blob/master/ARKit-2-Tracked-Images-Demo.gif) 】

- [ARMeasuringTape](https://github.com/nguyenpham/ARMeasuringTape) - Augmented Reality Measuring Tape.

- [AugmentedSolarSystem](https://github.com/ThumbWorks/AugmentedSolarSystem) - An Augmented reality experience to explore planets in our Solar System.

- [arkit-smb-homage](https://github.com/bjarnel/arkit-smb-homage) - An implementation of a Super Mario Bros-like game in augmented reality with ARKit and SceneKit.

- [ARbusters](https://github.com/pedrommcarrasco/ARbusters) - 👻 Augmented reality game in a pixel/billboard style.

- [ARTargetShooter](https://github.com/brentinator0/ARTargetShooter) - Augmented Reality shooting game using Apple's ARKit + SceneKit Frameworks in Swift.

- [SwiftShot](https://github.com/pjcspro/SwiftShot) - Creating a Game for Augmented Reality.【 [Preview1](https://github.com/pjcspro/SwiftShot/raw/develop/Documentation/SwiftShot.png) | [Preview2](https://github.com/pjcspro/SwiftShot/raw/develop/Documentation/SwiftShot.png) 】

- [ncnn-models](https://github.com/Baiyuetribe/ncnn-models) - awesome AI models with NCNN, and how they were converted.

- [LookAtThat](https://github.com/tikimcfee/LookAtThat) - Render Swift source code in AR/VR for macOS and iOS.

- [ARDemo](https://github.com/floatpoint/ARDemo) - IOS增强现实学习demo.

- [ARty](https://github.com/quanvo87/ARty.git) - Proxy with 3D animated models.

- [beacon-final](https://github.com/zkschmitz/beacon-final) - This app cannot be run in the XCode simulator and needs an actual device to run due to ARKit. Recommended to use with an iPhone 12 or 13 with LIDAR as these devices will have improved AR Experiences. Additionally, phones provide a better usability than iPads due to their cellular connectivity, therefore greater GPS accuracy.

**【Others】**

- [viro](https://github.com/viromedia/viro) - ViroReact: AR and VR using React Native.

- [react-native-ar](https://github.com/riderodd/react-native-ar) - React native AR model viewer.

- [ARCoreInsideOutTrackingGearVr](https://github.com/ChristophGeske/ARCoreInsideOutTrackingGearVr) - Inside Out Positional Tracking (6DoF) for GearVR/Cardboard/Daydream using ARCore v1.6.0.

- [arcore-unity-sdk](https://github.com/google-ar/arcore-unity-sdk) - ARCore SDK for Unity.

- [artoolkitx](https://github.com/artoolkitx/artoolkitx) - artoolkitX, providing high-performance video acquisition, marker and texture tracking in native code for iOS, Android, macOS, Windows, and Linux variants. [www.artoolkitx.org](https://www.artoolkitx.org/)


### Graphs Processing And Rendering

#### OpenGL-OpenGLES

- [Apple OpenGLES Programming Guide](https://developer.apple.com/library/archive/documentation/3DDrawing/Conceptual/OpenGLES_ProgrammingGuide/Introduction/Introduction.html#//apple_ref/doc/uid/TP40008793-CH1-SW1) - OpenGL ES was deprecated in iOS 12. To create high-performance code on GPUs, use the Metal framework instead. See [Metal](https://developer.apple.com/metal/).

- [kesalin·OpenGLES](https://github.com/kesalin/OpenGLES)

- [uwuneng·OpenGLES](https://github.com/uwuneng/OpenGLES)

- [XanderXu·OpenGLESExamples](https://github.com/XanderXu/OpenGLESExamples)

#### Metal

- [Apple Metal](https://developer.apple.com/metal/) - Metal powers hardware-accelerated graphics on Apple platforms by providing a low-overhead API, rich shading language, tight integration between graphics and compute, and an unparalleled suite of GPU profiling and debugging tools.

- [Apple Metal Sample-code](https://developer.apple.com/metal/sample-code/) - View sample code to see how Metal APIs are implemented.

- [Apple metal_sample_code_library](https://developer.apple.com/documentation/metal/metal_sample_code_library) - Explore the complete set of Metal samples.

- [metal](https://github.com/MetalKit/metal) - Repository to accompany the following blog posts.

- [Anime4KMetal](https://github.com/imxieyi/Anime4KMetal) - Anime4K for Apple platforms based on Metal.

- [Satin](https://github.com/Hi-Rez/Satin) - Satin is a 3D graphics framework (inspired by threejs) that helps designers and developers work with Apple's Metal API. Satin provides helpful classes for creating meshes, materials, buffers, uniforms, geometries, pipelines (shaders), compute kernels, and more. Satin's API is rapidly evolving so its best to stick to a tagged version or git commit when using it in production.

- [metal-tutorial](https://www.kodeco.com/7475-metal-tutorial-getting-started) - Metal Tutorial: Getting Started.

#### OpenCV

- [opencv](https://github.com/opencv/opencv) - Open Source Computer Vision Library. `pod 'OpenCV'` [Download](https://github.com/opencv/opencv/releases)

- [opencvIOS](https://github.com/NPOpenSource/opencvIOS) - Opencv 中文网学习。

- [OpenCVSample](https://github.com/ura14h/OpenCVSample) - Sample programs for OpenCV and Swift and iOS and macOS.

- [OpenCVSample](https://github.com/gibachan/OpenCVSample) - Realtime Face Recognition Sample with Swift & OpenCV.

- [OpenCVRecognizer](https://github.com/gavrilaf/OpenCVRecognizer) - This is simple demo how to use OpenCV object detection functionality from Swift on the iOS platform. OpenCV is written on C++, so you can't use it from Swift directly. You have to implement set of wrapper classes using Objective-C++.

- [opencv-spm](https://github.com/yeatse/opencv-spm) - A Swift package wrapping around OpenCV.

- [SwiftCamScanner](https://github.com/Srinija/SwiftCamScanner) - A pod written in swift that lets you scan and crop documents. It uses edge detection and perspective transformation with OpenCV.

- [ColorDetection](https://github.com/Cleveroad/ColorDetection) - ColorDetection is an app built with OpenCV and using computer vision at its core. It’s able to detect and change colors of objects using a camera of iOS devices.

#### GPUImage

- [GPUImage](https://github.com/BradLarson/GPUImage) - An open source iOS framework for GPU-based image and video processing. [http://www.sunsetlakesoftware.com/2012/02/12/introducing-gpuimage-framework](http://www.sunsetlakesoftware.com/2012/02/12/introducing-gpuimage-framework)【 [Priview](https://camo.githubusercontent.com/68ce8767f20b6a40f2a695c56396d30234363431/687474703a2f2f73756e7365746c616b65736f6674776172652e636f6d2f73697465732f64656661756c742f66696c65732f475055496d6167654c6f676f2e706e67) 】

- [GPUImage2](https://github.com/BradLarson/GPUImage2) - A BSD-licensed Swift framework for GPU-accelerated video and image processing.

- [GPUImage3](https://github.com/BradLarson/GPUImage3) - A BSD-licensed Swift framework for GPU-accelerated video and image processing using Metal.

#### Beauty Filters and Effects

- [BBMetalImage](https://github.com/Silence-GitHub/BBMetalImage) - A high performance Swift library for GPU-accelerated image/video processing based on Metal.

- [MetalPetal](https://github.com/MetalPetal/MetalPetal) - A GPU accelerated image and video processing framework built on Metal.

- [waifu2x-ios](https://github.com/imxieyi/waifu2x-ios) - iOS Core ML implementation of waifu2x

- [CCFilters](https://github.com/cdcyd/CCFilters) - CoreImage 所有滤镜效果(iOS11)

- [MagicCamera](https://github.com/william0wang/MagicCamera) - iOS多功能AI相机：人像卡通化、变老变年轻、美颜、滤镜、艺术效果等

- [HHYGPUImage](https://github.com/HuiYouHua/HHYGPUImage) - GPUImage滤镜、图片拍照美颜、视频采集美颜

- [LZBGPUImageTool](https://github.com/lzbgithubcode/LZBGPUImageTool) - 美颜滤镜工具类

- [AwemeLike](https://github.com/ZZZZou/AwemeLike) - 仿照抖音的特效相机，实现美颜、2D贴图、分屏、转场等

- [Meihu-Beautyface-sdk](https://github.com/zhanghao5683934/Meihu-Beautyface-sdk) - 美狐美颜sdk，支持美颜滤镜(Beauty Filter)、面具特效(Mask the special effects)、贴纸(Software/Hardware Encoder) 、滤镜(LUTs)

#### CoreGraphics

- [Graphs](https://github.com/candy7/Graphs) - 通过bezierPath，画出曲线图，并且加入动画。【 [Priview](https://camo.githubusercontent.com/955dab2a5598a7dcb509b3c448b12a37a1760570/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f323035353836362d333233653639333130323262353461662e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】

- [LXBezierPath](https://github.com/LXManMan/LXBezierPath) - 进度条绘制。【 [Priview](https://github.com/liuxinixn/LXBezierPath/raw/master/gif.gif) 】


### Payment

#### In-App Purchases

- [DYFStore-Swift](https://github.com/chenxing640/DYFStore) - A lightweight and easy-to-use iOS library for In-App Purchases. `DYFStore` uses blocks and notifications to wrap `StoreKit`, provides receipt verification and transaction persistence and doesn't require any external dependencies. ( [DYFStoreKit](https://github.com/chenxing640/DYFStoreKit) (Objective-C) )

- [RMStore](https://github.com/robotmedia/RMStore) - A lightweight iOS library for In-App Purchases.

- [MKStoreKit](https://github.com/MugunthKumar/MKStoreKit) - The "Goto" In App Purchases Framework for iOS 8+.

- [IAPHelper](https://github.com/saturngod/IAPHelper) - IAP helper for Apple in app purchases. It uses ARC and blocks for ease of use. Ready to use with newsstand subscriptions. No more maintenance for this repo. Please use the [SwiftyStoreKit](https://github.com/bizz84/SwiftyStoreKit)

- [SwiftyStoreKit](https://github.com/bizz84/SwiftyStoreKit) - SwiftyStoreKit is a lightweight In App Purchases framework for iOS 8.0+, tvOS 9.0+ and macOS 10.10+. 【 [Priview](https://github.com/bizz84/SwiftyStoreKit/raw/master/Screenshots/Preview.jpg) 】

- [OfferingCompletingAndRestoringInAppPurchases.zip](https://docs-assets.developer.apple.com/published/cc0d0e0844/OfferingCompletingAndRestoringInAppPurchases.zip) - Offering completing and restoring In-App Purchases.

- [Receipt Validation Programming Guide](https://developer.apple.com/library/archive/releasenotes/General/ValidateAppStoreReceipt/Introduction.html#//apple_ref/doc/uid/TP40010573-CH105-SW1)

- [DYFStoreReceiptVerifier_Swift](https://github.com/chenxing640/DYFStoreReceiptVerifier_Swift) - This class is developed in Swift language, which is used to verify App Store receipts.

- [DYFStoreReceiptVerifier](https://github.com/chenxing640/DYFStoreReceiptVerifier_Swift) - This class is developed in Objective-C language, which is used to verify App Store receipts.

- [VerifyStoreReceiptiOS](https://github.com/rmaddy/VerifyStoreReceiptiOS) - A helper class for verifying App Store receipts under iOS.

#### ApplePay

- [YasinZhou - ApplePayDemo](https://github.com/YasinZhou/ApplePayDemo) - ApplePay苹果支付demo。

- [lintide - ApplePayDemo](https://github.com/lintide/ApplePayDemo) -  Apple Pay demo 苹果支付示例。

- [ApplePayExample](https://github.com/jflinter/ApplePayExample) -  ApplePay Example.

- [iTofu - ApplePayDemo](https://github.com/iTofu/ApplePayDemo) -   Pay Demo with Swift. 

#### ThirdPay

- [XHPayKit](https://github.com/CoderZhuXH/XHPayKit) - 不用官方SDK实现微信支付、支付宝支付。

- [PayDemo](https://github.com/codewpf/PayDemo) - 支付宝和微信支付两种方式集成。

- [支付宝开放平台](https://open.alipay.com/platform/home.htm) - [APP支付](https://opendocs.alipay.com/open/54/104509/)适用于商家在 App 应用中集成支付宝支付功能。商家APP调用支付宝提供的 SDK，SDK 再调用支付宝APP内的支付模块。如果用户已安装支付宝 APP，商家 APP 会跳转到支付宝中完成支付，支付完后跳回到商家APP内，最后展示支付结果。如果用户没有安装支付宝 APP，商家 APP 内会调起支付宝网页支付收银台，用户登录支付宝账户，支付完后展示支付结果。目前支持手机系统有：iOS（苹果）、Android（安卓）。

- [微信支付商户平台](https://pay.weixin.qq.com/index.php/core/home/login?return_url=%2F) - [APP支付](https://pay.weixin.qq.com/wiki/doc/api/app/app.php?chapter=8_1)是指商户通过在移动端应用APP中集成开放SDK调起微信支付模块来完成支付。适用于在移动端APP中集成微信支付功能的场景。

- [stripe-ios](https://github.com/stripe/stripe-ios) - The Stripe iOS SDK makes it quick and easy to build an excellent payment experience in your iOS app. We provide powerful and customizable UI screens and elements that can be used out-of-the-box to collect your users' payment details. We also expose the low-level APIs that power those UIs so that you can build fully custom experiences.


### Player

#### Video Player

- [ijkplayer](https://github.com/bilibili/ijkplayer) - Android/iOS video player based on FFmpeg n3.4, with MediaCodec, VideoToolbox support ([FFmpeg](http://ffmpeg.org)).

- [ZFPlayer](https://github.com/renzifeng/ZFPlayer) - Support customization of any player SDK and control layer (支持定制任何播放器SDK和控制层)。【 [Priview 1](https://camo.githubusercontent.com/48200df0498350786ba386f31336f7e6c8f07552/68747470733a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f3633353934322d303932343237653537313735363330392e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) | [Priview 2](https://camo.githubusercontent.com/dbee14e8706d7d044c9951be77097aeb2115f5e9/68747470733a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f3633353934322d653939643736343938636230316166622e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) | [Priview 3](https://camo.githubusercontent.com/af4de47d93b0b02197464c9118b0081ea51cf59c/68747470733a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f3633353934322d316230653233623766356561626439652e6a70673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) 】

- [CLPlayer](https://github.com/JmoVxia/CLPlayer) - 自定义支持全屏的播放器。【 [Priview](https://github.com/JmoVxia/CLPlayer/raw/master/效果图.gif) 】

- [QPlayer](https://github.com/chenxing640/QPlayer) - A powerful video player that you can't miss, supports m4v, wmv, 3gp, mp4, mov, avi, mkv, mpeg, mpg, flv, rm, rmvb, mp3 format. Enter any HTTP, RTSP, RTMP, HLS address play network streaming or live. QPlayer use ffmpeg，you can transfer files via wifi. It aggregates several live, video and short video platforms, and you can watch live, video and short video online. 【 [Priview 1](https://github.com/chenxing640/QPlayer/raw/master/images/web_video.png) | [Priview 2](https://github.com/chenxing640/QPlayer/raw/master/images/mainstream_live.png) | [Priview 3](https://github.com/chenxing640/QPlayer/raw/master/images/tv_radio.png) | [Priview 4](https://github.com/chenxing640/QPlayer/raw/master/images/local_video.png) 】

- [BMPlayer](https://github.com/BrikerMan/BMPlayer) - A video player for iOS, based on AVPlayer, support the horizontal, vertical screen. support adjust volume, brightness and seek by slide, support subtitles. 【 [Priview](https://github.com/BrikerMan/resources/raw/master/BMPlayer/demo.gif) 】

- [SJVideoPlayer](https://github.com/changsanjiang/SJVideoPlayer) - Video Player. Support cocoapods & Generate GIF & Export & Localization & Play in View(UIView || TableHeader || TableCell || CollectionCell) & Keyboard Orientation & StatusBar(Style&Hide). 【 [Priview](https://user-images.githubusercontent.com/37614260/43947531-922a0712-9cb2-11e8-8f8d-4823a21308d3.png) 】

- [kxmovie](https://github.com/kolyvan/kxmovie) - movie player for iOS using ffmpeg. 【 [Priview](https://camo.githubusercontent.com/ce6bc94079ae115bf2f9959020e427511f689742/68747470733a2f2f7261772e6769746875622e636f6d2f6174656c69657264756d6f62696c652f46466d706567506c617965722d694f532f6d61737465722f726561646d652d6d656469612f73637265656e73686f742d6d6f7669652d6c616e6473636170652e706e67) 】

- [ffmpeg-avplayer-for-ios-tvos](https://github.com/imoreapps/ffmpeg-avplayer-for-ios-tvos) - A tiny but powerful iOS and Apple TV OS av player framework that's based on the FFmpeg library. 

- [Eleven](https://github.com/kaixinsoft/Eleven) - Eleven Player is a simple powerful video player.use ffmpeg.
  - [iOS配置FFmpeg框架](http://cnbin.github.io/blog/2015/05/19/iospei-zhi-ffmpegkuang-jia/) 
  - [Vitamio测试网络视频地址](https://www.vitamio.org/docs/Basic/2013/0508/14.html) 
    
- [SBPlayer](https://github.com/henusjj/SBPlayer) - 基于AVPlayer封装的轻量级播放器，可以播放本地网络视频，易于定制，可以横屏竖屏，支持M3u8、mp4等格式视频本地播放或者网络播放，通过masonry约束，适配各种尺寸iPhone。【 [Priview](https://github.com/henusjj/SBPlayer/raw/master/Images/2.gif) 】

- [VKVideoPlayer](https://github.com/viki-org/VKVideoPlayer) - he same battle tested video player used in our [Viki iOS App](https://itunes.apple.com/app/id445553058?mt=8) enjoyed by millions of users all around the world. 

- [KRVideoPlayer](https://github.com/36Kr-Mobile/KRVideoPlayer) - 类似Weico的播放器，支持竖屏模式下全屏播放。【 [Priview](https://github.com/36Kr-Mobile/KRVideoPlayer/raw/master/kr_player.gif) 】

- [PBJVideoPlayer](https://github.com/piemonte/PBJVideoPlayer) - ▶️ video player, simple way to play and stream media on iOS/tvOS.

- [vlc-ios](https://github.com/videolan/vlc-ios) - VLC for iOS and tvOS official mirror.

- [vlckit](https://github.com/videolan/vlckit) - VLCKit is a generic multimedia library for any audio or video playback needs on macOS, iOS and tvOS.

- [MRVLCPlayer](https://github.com/Maru-zhang/MRVLCPlayer) - 一款基于VLC的播放器,支持常用的各大手势功能，支持几乎所有主流格式。

- [LMIJKPlayer](https://github.com/lixiaonan/LMIJKPlayer) - 基于IJKPlayer，支持横屏、竖屏，上下滑动调节音量、屏幕亮度，左右滑动调节播放进度, 支持横竖屏UI不同的完整播放器Demo。

- [LMAVPlayer](https://github.com/lixiaonan/LMAVPlayer) - 基于苹果原生AVPlayer，支持横屏、竖屏，上下滑动调节音量、屏幕亮度，左右滑动调节播放进度, 支持横竖屏UI不同的完整播放器Demo.

- [Eleven](https://github.com/sinabio/Eleven) - a simple powerful video player. Support m4v, wmv, 3gp, mp4, mov, avi, mkv, mpeg, mpg, flv, vob format.Enter any HTTP, RTSP, RTMP, RTP address play network streaming or live.Eleven player use ffmpeg.

- [KSYMediaPlayer_iOS](https://github.com/ksvc/KSYMediaPlayer_iOS) - 金山云iOS播放SDK（KSYUN Live Streaming player SDK），支持RTMP HTTP-FLV HLS 协议（supporting RTMP HTTP-FLV HLS protocol），直播延时2-3秒（Living delay 2 or 3 seconds） 。与系统播放器MPMoviePlayerController接口一致，可以无缝快速切换至KSYMediaPlayer；本地全媒体格式支持, 并对主流的媒体格式(mp4, avi, wmv, flv, mkv, mov, rmvb 等 )进行优化；支持广泛的流式视频格式, HLS, RTMP, HTTP Rseudo-Streaming 等；低延时直播体验，配合金山云推流sdk，可以达到全程直播稳定的4秒内延时；实现快速满屏播放，为用户带来更快捷优质的播放体验；支持画面旋转，音量调节等各种功能；

- [MRDLNA](https://github.com/MQL9011/MRDLNA) - 纯OC实现的iOS DLNA 投屏功能, 支持各大主流电视盒子(小米,华为,乐视,移动魔百盒等), 可以播放,暂停,快进退,调音量,退出.

- [DLNA](https://github.com/FuruyamaTakeshi/DLNA) - DLNA sample code using CyberLink Objective-C Wrapper. This sample can browse contents from DMS and play content at DMR. 

- [DLNA_iOS_Platinum](https://github.com/wangshuaidavid/DLNA_iOS_Platinum) - DLNA server on iOS using Platinum. This APP is an implementation of a DLNA media server powered by Platinum libs. It can publish the media files in iTunes and Photo Album to any DLNA player which is in the same network enviroment.

- [ALMoviePlayerController](https://github.com/lobianco/ALMoviePlayerController) -  A drop-in replacement for MPMoviePlayerController that exposes the UI elements and allows for maximum customization. 【 [Priview](https://camo.githubusercontent.com/30ca7db1413516773bb464f2a1fe1e1a3ff2d387/687474703a2f2f6c6f6269616e636f2e6769746875622e696f2f414c4d6f766965506c61796572436f6e74726f6c6c65722f73637265656e73686f74732f73637265656e73686f74322e706e67) 】

- [GSPlayer](https://github.com/wxxsw/GSPlayer) - ⏯ Video player, support for caching, preload, fullscreen transition and custom control view. 视频播放器，支持边下边播、预加载、全屏转场和自定义控制层。

- [VersaPlayer](https://github.com/josejuanqm/VersaPlayer) - Versatile Video Player implementation for iOS, macOS, and tvOS.

#### Audio Player

- [StreamingKit](https://github.com/tumtumtum/StreamingKit) - A fast and extensible gapless AudioPlayer/AudioStreamer for OSX and iOS (iPhone, iPad).

- [LyricsAnalysis](https://github.com/wsl2ls/LyricsAnalysis) - iOS音乐播放器之锁屏效果（仿网易云音乐和QQ音乐）+ 歌词解析 ：锁屏歌曲信息、控制台远程控制音乐播放：暂停/播放、上一首/下一首、快进/快退、列表菜单弹框和拖拽控制台的进度条调节进度（结合了QQ音乐和网易云音乐在锁屏状态下的效果）、歌词解析并随音乐滚动显示。【 [Priview 1](https://camo.githubusercontent.com/a7f8d7a5c4d556835a74a48e47287699879ce9c0/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313730383434372d613833663765343062303165346635302e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) | [Priview 2](https://camo.githubusercontent.com/3fc34b6daa5822c88ddec99295f2dc33b376b67b/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313730383434372d373265306262333661633033353330302e504e473f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) 】

- [GKWYMusic](https://github.com/QuintGao/GKWYMusic) - iOS基于FreeStreamer的仿网易云音乐播放器。【 [Priview 1](https://github.com/QuintGao/GKWYMusic/raw/master/list_play.gif) | [Priview 2](https://github.com/QuintGao/GKWYMusic/raw/master/album.gif) 】

- [ios-audio-remote-control](https://github.com/MosheBerman/ios-audio-remote-control) - This repo demonstrates how to control the software based audio remote control in iOS.

- [AudioPlayer](https://github.com/delannoyk/AudioPlayer) - AudioPlayer is syntax and feature sugar over AVPlayer. It plays your audio files (local & remote).

- [FRadioPlayer](https://github.com/fethica/FRadioPlayer) - A simple radio player framework for iOS, macOS, tvOS.

- [SwiftAudioPlayer](https://github.com/tanhakabir/SwiftAudioPlayer) - Streaming and realtime audio manipulation with AVAudioEngine.

- [PFXPlayer](https://github.com/PFXStudio/PFXPlayer) - 뮤직 플레이어 앱 - RxSwift, RxCocoa, RxDataSource, RxGesture.

- [WSLAPP](https://github.com/wsl2ls/WSLAPP) - 音乐播放器，新闻，壁纸，画板，二维码，计分器，一个我自己做的完整的项目源码。

- [DBFMDemo](https://github.com/LYM-mg/DBFMDemo) - 豆瓣电台，一个豆瓣电台demo，可以选择播放顺序，可以通过选择频道获取歌曲数据，进行歌曲播放。


### RTC

- [anyRTC-RTMP-OpenSource](https://github.com/anyrtcIO-Community/anyRTC-RTMP-OpenSource) - RTMP 推流器，RTMP(HLS)秒开播放器，直播点播，跨平台（Win,IOS,Android）开源代码

- [WebRTC](https://github.com/stasel/WebRTC) - Unofficial distribution of up to date WebRTC framework binaries for iOS and macOS.

- [WebRTC-Swift](https://github.com/stasel/WebRTC-iOS) - A simple native WebRTC demo iOS app using swift.

- [WebRTC-ObjC](https://github.com/ChenYilong/WebRTC) - WebRTC for iOS.

- [apprtc-ios](https://github.com/ISBX/apprtc-ios) - A native iOS video chat app based on WebRTC.

- [webrtc-sdk](https://github.com/webrtc-sdk/Specs) - WebRTC SDK for iOS/mac (Cocopods Specs).

- [flutter-webrtc](https://github.com/flutter-webrtc/flutter-webrtc) - WebRTC plugin for Flutter Mobile/Desktop/Web.

- [WebRTC_IM](https://github.com/DOUBLE-Baller/WebRTC_IM) - 纯 go 实现的分布式IM即时通讯系统。一对一呼叫、邀请呼叫、音视频通话、多人通话、在线教学、在线医疗、腾讯会议，Zoom会议，钉钉课堂等多人音视频交互类场景.

- [EasyRTC](https://github.com/tsingsee/EasyRTC) - EasyRTC视频会议系统一款强大的实时音视频通话产品，支持语音会议、视频会议、会议录像、会议回放、旁路直播、会议管理控制、文档共享、视频共享等功能，是一款广泛应用于在线教育、互动课堂、视频会议、应急指挥的即时通信平台。


### IM-Live

- [AtChat](https://github.com/boyssimple/AtChat) - IOS聊天项目、基于XMPP框架开发，实现了登陆注册(注册以手机号码注册、短信验证) 、发送消息、接收消息、接收好友请求、发起好友请求 、图片消息、语音消息、视频语音、聊天历史记录、最近联系人、二维码添加好友、用户头像上传、朋友圈、发朋友圈、异地登录退出等功能。【 [Priview 1](https://github.com/boyssimple/AtChat/raw/master/images/020.png) | [Priview 2](https://github.com/boyssimple/AtChat/raw/master/images/014.png) 】

- [BAWeChat](https://github.com/BAHome/BAWeChat) - 博爱微信，使用原生 frame + MVVM + MVC + QMUIKit + BAKit 开源的微信。【 [Priview 1](https://github.com/boai/BAWeChat/raw/master/Images/通讯录.png) | [Priview 2](https://github.com/boai/BAWeChat/raw/master/Images/评论.png) 】

- [MessageKit](https://github.com/MessageKit/MessageKit) - A community-driven replacement for [JSQMessagesViewController](https://github.com/jessesquires/JSQMessagesViewController).

- [JSQMessagesViewController](https://github.com/jessesquires/JSQMessagesViewController) - An elegant messages UI library for iOS. This library is deprecated. 

- [Chatto](https://github.com/badoo/Chatto) - A lightweight framework to build chat applications, made in Swift.

- [MomentKit](https://github.com/ChellyLau/MomentKit) - MVC模式实现WeChat朋友圈功能，代码整洁易读。支持富文本(链接/表情/电话/邮箱等)、点赞、评论/回复评论、图片预览、文字拷贝等功能。【 [Priview 1](https://github.com/ChellyLau/MomentKit/raw/master/Screenshot/screenshot_2.png) | [Priview 2](https://github.com/ChellyLau/MomentKit/raw/master/Screenshot/screenshot_4.png) 】

- [JetChat](https://github.com/developerjet/JetChat) - Swift5.0编写的简仿微信聊天应用，完美支持表情键盘、单聊、群聊、本地消息会话缓存。【 [Priview](https://github.com/tanagile/JetChat/raw/master/ScreenShot/JetChat.gif) 】

- [ABigFishTV](https://github.com/clyhs/ABigFishTV) - 大鱼电视直播 基于ijkplayer的播放器 700多个电视台 包括央视，各地方台，卫视，熊猫直播，社会化分享，登陆，仿微博等 (支持iphonex)。【 [Priview](https://github.com/clyhs/ABigFishTV/raw/master/images/ABigFishTV.gif) 】

- [TGTV](https://github.com/targetcloud/TGTV) - TGTV直播APP用Swift3.1编写，采用MVVM架构，本demo运用protobuf实现即时聊天（弹幕）、礼物动画等。【 [Priview 1](https://github.com/targetcloud/TGTV/raw/master/1.gif) | [Priview 2](https://github.com/targetcloud/TGTV/raw/master/屏幕快照%202017-04-13%20下午5.22.09.png) 】

- [MGMiaoBo](https://github.com/LYM-mg/MGMiaoBo) - 首创房间内多视频直播模式，移动直播新体验，多人秀场更好玩。随时随地与主播聊天互动亲密接触，清纯美女、校花嫩模、吃货萌妹、通通都有…… 1.项目引导页业使用ijkPlayer播放视频；2.首页使用父子控制器进行界面之间的切换；3.自定义MJRefresh刷新控件，替换头部刷新gif图片；4.使用分类理由贝塞尔曲线为UIImageView添加圆角；5.服务器交互使用的是https，用json格式，面向模型开发;其他：全局网络请求封装，页面数据缓存处理，通知，动画，基础控制器封装，使用xib的AutoLayout和Masonry第三方库等。【 [Priview 1](https://camo.githubusercontent.com/75db51c6486a07e0817d8a1b498740620ecb0f1f/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313432393839302d396361383335623732613562303533612e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) | [Priview 2](https://camo.githubusercontent.com/1807bcb191968c41603e13ccc9639adbdf6f1f27/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313432393839302d393064646435626566333361313539352e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) 】

- [MGDYZB](https://github.com/LYM-mg/MGDYZB) - Xcode8以上版本，已升级为Swift3.x语法。斗鱼-每个人的直播平台提供高清、快捷、流畅的视频直播和游戏赛事直播服务，包含英雄联盟lol直播、穿越火线cf直播、dota2直播、美女直播等各类热门游戏赛事直播等。【 [Priview 1](https://camo.githubusercontent.com/0b93ec631006cb13a26ae52771763f5ffb869534/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313432393839302d666262356535623431326334343363662e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) | [Priview 2](https://camo.githubusercontent.com/a7e7ead1a95fd7fc9c3f6445f49ecb08ef26ed1f/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313432393839302d366437326262323634303831353932642e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) 】

- [LFLiveKit](https://github.com/LaiFengiOS/LFLiveKit) - LaiFeng IOS Live Kit,H264 and AAC Hard coding，support GPUImage Beauty， rtmp transmission，weak network lost frame，Dynamic switching rate.

- [LXPlayerLive](https://github.com/SoftProgramLX/LXPlayerLive) - 一步步搭建视频直播系统，基于LFLiveKit＋ijkplayer＋rtmp（iOS端）。

- [inke-demo](https://github.com/shawn-tangsc/inke-demo) - 仿映客直播app（最新）原版礼物列表,直播弹幕，最新热门页面，原版动画登陆页，实现了oc项目使用Socket.IO-Client-Swift 绑定后台node服务器实现实时聊天功能。

- [WZHLiveShow](https://github.com/wzhios/WZHLiveShow) - IOS视频直播 + 推流实现 采用当前主流开源框架B站的ijkplayer 以及优酷土豆旗下的LFLiveKit实现推流。

- [ATijkplayeriOS](https://github.com/allentsing/ATijkplayeriOS) - 1、编译ijkPlayer，支持RTSP拉流播放，支持http等格式。2、加入了MD360Player4iOS，实现视频的全景渲染。3、MovieRecorder用实时拉过来的音视频数据进行录视频。4、LFLiveKit用拉流过来的原始音视频数据(YUV、PCM)进行推流直播。

- [LFLiveKit_Record_Recode](https://github.com/jiangzhibin/LFLiveKit_Record_Recod) - 因为个人项目需要，对边推边录可定制性要求较高，LFLiveKit录制功能可定制性较低，此项目重构了其录制接口，方便项目需要。

- [LiveVideoCoreSDK](https://github.com/runner365/LiveVideoCoreSDK) - LiveVideoCoreSDK是基于IOS的视频直播SDK(支持IOS8.1以上,基于开源videocore进行了改进)，多滤镜IOS推流SDK: 基于GPUImage的多滤镜拍摄, 滤镜资源丰富. GPUImageRtmpPush。

- **七牛(QiNiu)**

- [PLPlayerKit](https://github.com/pili-engineering/PLPlayerKit) - PLPlayerKit 是七牛推出的一款免费的适用于 iOS 平台的播放器SDK，采用全自研的跨平台播放内核，拥有丰富的功能和优异的性能，可高度定制化和二次开发。([ios-playback-end-the-sdk](https://developer.qiniu.com/pili/sdk/1211/ios-playback-end-the-sdk))
- [PLMediaStreamingKit](https://github.com/pili-engineering/PLMediaStreamingKit) - PLMediaStreamingKit 是七牛推出的一款适用于 iOS 平台的推流 SDK，支持 RTMP 推流，h.264 和 AAC 编码，硬编、软编支持。具有丰富的数据和状态回调，方便用户根据自己的业务定制化开发。具有直播场景下的重要功能，如：美颜、背景音乐、水印等功能。
- [QNRTC-iOS](https://github.com/pili-engineering/QNRTC-iOS) - QNRTCKit 是七牛云推出的一款适用于 iOS 平台的实时音视频 SDK，提供了包括音视频通话、美颜、滤镜、水印等多种功能，提供灵活的接口，支持高度定制以及二次开发。

- **Agora**

- [Basic-Video-Call](https://github.com/AgoraIO/Basic-Video-Call) - Sample app to join/leave a channel, mute/unmute, enable/disable the video, and switch between front/rear cameras.
- [AgoraRtcEngine_iOS](https://github.com/AgoraIO/AgoraRtcEngine_iOS) - iOS Package for Agora Video RTE SDK. Perfect for video calls and live streaming.
- [AgoraRTM_iOS](https://github.com/AgoraIO/AgoraRTM_iOS) - Agora's Real-time Messaging SDK Swift Package for iOS 📦.
```
  pod 'AgoraRtmKit', '~> 1.5.2'
  pod 'AgoraRtm_iOS', '~> 1.5.1'
  pod 'AgoraRtcEngine_iOS', '~> 4.0.1'
```

- [Signal-iOS ](https://github.com/signalapp/Signal-iOS)  - Signal is a free, open source, messaging app for simple private communication with friends.


### WiFi File Transfer

- [GCDWebServer](https://github.com/swisspol/GCDWebServer) - GCDWebServer is a modern and lightweight GCD based HTTP 1.1 server designed to be embedded in iOS, macOS & tvOS apps.
- [GCDWebServerDemo](https://github.com/sjxjjx/GCDWebServerDemo) - 使用GCDWebServer框架实现wifi局域网传输文件到iPhone的功能。

- [CocoaHTTPServer](https://github.com/robbiehanson/CocoaHTTPServer) - CocoaHTTPServer is a small, lightweight, embeddable HTTP server for Mac OS X or iOS applications.
- [HTTPServerDemo](https://github.com/sjxjjx/HTTPServerDemo) - 使用CocoaHTTPServer框架实现wifi局域网传输文件到iPhone的功能。


### AutoLayout

- [Masonry](https://github.com/SnapKit/Masonry) - Harness the power of AutoLayout NSLayoutConstraints with a simplified, chainable and expressive syntax. Supports iOS and OSX Auto Layout.
```ObjC
UIEdgeInsets padding = UIEdgeInsetsMake(10, 10, 10, 10);

[view1 mas_makeConstraints:^(MASConstraintMaker *make) {
    make.top.equalTo(superview.mas_top).with.offset(padding.top); //with is an optional semantic filler
    make.left.equalTo(superview.mas_left).with.offset(padding.left);
    make.bottom.equalTo(superview.mas_bottom).with.offset(-padding.bottom);
    make.right.equalTo(superview.mas_right).with.offset(-padding.right);
}];
```

- [SnapKit](https://github.com/SnapKit/SnapKit) - A Swift Autolayout DSL for iOS & OS X ([http://snapkit.io](http://snapkit.io)).
```Swift
import SnapKit

class MyViewController: UIViewController {
    lazy var box = UIView()

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.addSubview(box)
        box.snp.makeConstraints { (make) -> Void in
            make.width.height.equalTo(50)
            make.center.equalTo(self.view)
        }
    }
}
```

- [Stevia](https://github.com/freshOS/Stevia) - 🍃 Concise Autolayout code.

- [PureLayout](https://github.com/PureLayout/PureLayout) - The ultimate API for iOS & OS X Auto Layout — impressively simple, immensely powerful. Objective-C and Swift compatible.

- [EasySwiftLayout](https://github.com/Pimine/EasySwiftLayout) - Lightweight Swift framework for Apple's Auto-Layout


### FlowLayout

- [PinterestLayout](https://github.com/MagicLab-team/PinterestLayout) - Custom collection view layout inspired by Pinterest layout. Written in Swift.

- [VegaScroll](https://github.com/ApplikeySolutions/VegaScroll) - ↕️ VegaScroll is a lightweight animation flowlayout for UICollectionView completely written in Swift 4, compatible with iOS 11 and Xcode 9.

- [WSCollectionViewFlowLayout](https://github.com/ONECATYU/WSCollectionViewFlowLayout) - 可替代UICollectionViewFlowLayout的标签流布局，支持固定有规则的布局形式。实现了UICollectionViewDelegateFlowLayout协议方法。使用形式和系统Flowlayout相同。【 [Priview](https://github.com/ONECATYU/WSCollectionViewFlowLayout/raw/master/Demo.gif) 】

- [CustomLayout](https://github.com/JiWuChao/CustomLayout) - UIcollectionViewLayout 自定义layout 瀑布流 支持多区瀑布流 支持设置footer和header.

- [UPCarouselFlowLayout](https://github.com/zepojo/UPCarouselFlowLayout) - A fancy carousel flow layout for UICollectionView on iOS.

- [BouncyLayout](https://github.com/roberthein/BouncyLayout) - Make. It. Bounce.

- [TangramKit](https://github.com/youngsoft/TangramKit) - TangramKit is a powerful iOS UI framework implemented by Swift. It integrates the functions with Android layout,iOS AutoLayout,SizeClass, HTML CSS float and flexbox and bootstrap. So you can use LinearLayout,RelativeLayout,FrameLayout,TableLayout,FlowLayout,FloatLayout,LayoutSizeClass to build your App 自动布局 UIView UITableView UICollectionView.

- [GravitySlider](https://github.com/ApplikeySolutions/GravitySlider) - 🔄 GravitySlider is a beautiful alternative to the standard UICollectionView flow layout.

- [RDHCollectionViewGridLayout](https://github.com/rhodgkins/RDHCollectionViewGridLayout) - Grid layout for UICollectionView.

- [MGCollectionView](https://github.com/LYM-mg/MGCollectionView) - 环形图片排布以及花瓣形排布。【 [Priview](https://camo.githubusercontent.com/95feca7ac46c128b4574875ea15db0faa079d422/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313432393839302d646337363365663161666134666437352e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】

- [CardSlider](https://github.com/saoudrizwan/CardSlider) - Innovative twist to Tinder cards for iOS.

- [GravitySlider](https://github.com/ApplikeySolutions/GravitySlider) - 🔄 GravitySlider is a beautiful alternative to the standard UICollectionView flow layout.

- [OnlyPictures](https://github.com/KiranJasvanee/OnlyPictures) - A simple and flexible way to add source of overlapping circular pictures, currently supports horizontal overlapping or distant pictures with great layout flexibility.

- [uicollectionview-layouts-kit](https://github.com/jVirus/uicollectionview-layouts-kit) - 📐Custom layouts for UICollectionView with examples [iOS 12+].

- [ZLCollectionView](https://github.com/czl0325/ZLCollectionView) - 为应对类似淘宝首页，京东首页，国美首页等复杂布局而写的Collectionview。基于UICollectionView实现，目前支持标签布局，列布局，百分比布局，定位布局，填充式布局，瀑布流布局等。支持纵向布局和横向布局，可以根据不同的section设置不同的布局，支持拖动cell，头部悬浮，设置section背景色和自定义section背景view，向自定义背景view传递自定义方法。功能强大，超过Android的recyclerview，实现了电影选座等高难度的布局。【 [Preview](https://github.com/czl0325/ZLCollectionView/raw/master/demo2.gif?raw=true) 】


### 逆向开发

#### fishhook

- [fishhook](https://github.com/facebook/fishhook) - A library that enables dynamically rebinding symbols in Mach-O binaries running on iOS. 
    <div align=center>
    <img src="https://camo.githubusercontent.com/a2126f2d085fd979a91b9eb576a18c735d2c69aaf6d8e4738fb19671fbac7722/687474703a2f2f692e696d6775722e636f6d2f4856587148437a2e706e67" width="50%" />
    </div>

#### 逆向辅助工具

- [iOSOpenDev](http://iosopendev.com) - [Github](https://github.com/kokoabim/iOSOpenDev)
- [theos](http://iphonedevwiki.net/index.php/Theos/Setup) - 一个越狱开发工具包 ([Github](https://github.com/theos/theos))
- [class-dump](https://github.com/nygard/class-dump) - Generate Objective-C headers from Mach-O files. 
- [Clutch](https://github.com/KJCracks/Clutch) - a high-speed iOS decryption tool. It supports the iPhone, iPod Touch, and iPad.
- [optool](https://github.com/alexzielenski/optool) - Command Line Tool for interacting with MachO binaries on OSX/iOS.
- [Hook-Tools](https://github.com/chenxing640/WeChat_tweak/tree/master/Hook-Tools)
- [HackAppTool](https://github.com/jackrex/FakeWeChatLoc/tree/master/HackAppTool) 
- [Tools](https://github.com/east520/AutoGetRedEnv/tree/master/Tools)

#### 逆向案例

- [WeChat_tweak](https://github.com/chenxing640/WeChat_tweak) -iOS版功能最全的微信插件，支持最新版微信，具备自动抢红包，屏蔽消息和群消息，过滤特定的群聊，防止撤回消息，伪定位 (朋友圈和附近的人)，修改微信运动步数和实时取景做聊天页的背景等功能。【 [Priview 1](https://github.com/chenxing640/WeChat_tweak/raw/master/images/wcplugin_settings.png) | [Priview 2](https://github.com/chenxing640/WeChat_tweak/raw/master/images/wcplugin_xwtx1.png) | [Priview 3](https://github.com/chenxing640/WeChat_tweak/raw/master/images/wcplugin_xwtx2.png) | [Priview 4](https://github.com/chenxing640/WeChat_tweak/raw/master/images/wcplugin_pbqxx.png) | [Priview 5](https://github.com/chenxing640/WeChat_tweak/raw/master/images/fake_location.png) | [Priview 6](https://github.com/chenxing640/WeChat_tweak/raw/master/images/prevent_msg_revoc.png) 】

- [WeChatRedEnvelop](https://github.com/buginux/WeChatRedEnvelop) - iOS版微信抢红包Tweak。【 [Priview 1](https://github.com/buginux/WeChatRedEnvelop/raw/master/ScreenShots/Setting.jpeg) | [Priview 2](https://github.com/buginux/WeChatRedEnvelop/raw/master/ScreenShots/AssistantSetting.jpeg) 】
    - [iOS微信抢红包Tweak安装教程](http://www.swiftyper.com/2016/01/25/ios-tweak-install-guide)
    - [免越狱版 iOS 抢红包插件](http://www.swiftyper.com/2016/12/26/wechat-redenvelop-tweak-for-non-jailbroken-iphone)

- [FakeWeChatLoc](https://github.com/jackrex/FakeWeChatLoc) - iOS伪装微信位置。【 [Priview 1](https://raw.githubusercontent.com/jackrex/FakeWeChatLoc/master/pic/1464391571144.png) | [Priview 2](https://raw.githubusercontent.com/jackrex/FakeWeChatLoc/master/pic/1464391684987.png) 】
    - [iOS逆向论坛](http://bbs.iosre.com) 

- [FakeWeChatLocation](https://github.com/PandaraWen/FakeWeChatLocation) - A tweak that can fake location info in WeChat.

- [WeChatRedEnvelopesHelper](https://github.com/luckysine/WeChatRedEnvelopesHelper) - iOS版微信抢红包插件，支持后台抢红包，tweak源文件。【 [Priview](https://github.com/luckysine/WeChatRedEnvelopesHelper/raw/master/screenshots/step.png) 】

- [AutoGetRedEnv](https://github.com/east520/AutoGetRedEnv) - 微信自动抢红包。

- [WXAccountSwitcher](https://github.com/iosre/WXAccountSwitcher) - Fast switch WeiXin account.

- [FishChat](https://github.com/yulingtianxia/FishChat) - Hook WeChat.app on non-jailbroken devices. ([blog](http://yulingtianxia.com/blog/2017/02/28/Make-WeChat-Great-Again/)) 【 [Priview 1](https://github.com/yulingtianxia/FishChat/raw/master/Images/logo.png) | [Priview 2](https://github.com/yulingtianxia/FishChat/raw/master/Images/weichat_ignore_chatroom.PNG) | [Priview 3](https://github.com/yulingtianxia/FishChat/raw/master/Images/wechat_setting_keyboard.PNG) 】

- [WeTransparentChat](https://github.com/PandaraWen/WeTransparentChat) - Use back camera capturing make WeChat's message content page's background transparent. 【 [Priview](https://github.com/PandaraWen/WeTranslateparentChat/raw/master/images/IMG_0018.PNG) 】


### 安全攻防和应用加固

- [mixplaintext](https://github.com/danleechina/mixplaintext) - 对 Xcode 项目工程所有的 objective-c 文件内包含的明文进行加密混淆，提高逆向分析难度。

- [iOS app 进行安全加固](https://danleechina.github.io/ios-app-security-reinforce/) 

- [iOS安全攻防（四）：阻止GDB依附](https://blog.csdn.net/yiyaaixuexi/article/details/18222339) 
- [iOS安全攻防（九）：使用Keychain-Dumper导出keychain数据](https://blog.csdn.net/yiyaaixuexi/article/details/18404343)
- [iOS安全攻防（十三）：数据擦除](https://blog.csdn.net/yiyaaixuexi/article/details/18669201)
- [iOS安全攻防（十七）：Fishhook](https://blog.csdn.net/yiyaaixuexi/article/details/19094765)
- [iOS安全攻防（十九）：基于脚本实现动态库注入](https://blog.csdn.net/yiyaaixuexi/article/details/19642621)
- [iOS安全攻防（二十）：越狱检测的攻与防](https://blog.csdn.net/yiyaaixuexi/article/details/20286929)
- [iOS安全攻防（二十二）：static和被裁的符号表](https://blog.csdn.net/yiyaaixuexi/article/details/21469769)
- [iOS安全攻防（二十三）：Objective-C代码混淆](https://blog.csdn.net/yiyaaixuexi/article/details/29201699)
- [iOS安全攻防（二十四）：敏感逻辑的保护方案（1）](https://blog.csdn.net/yiyaaixuexi/article/details/29210413)


### 数据安全和算法

- [DYFCryptoUtils](https://github.com/chenxing640/DYFCryptoUtils) - 🔥一行代码实现 iOS Base64, 32/16位MD5, DES, AES, RSA算法，操作简单好用。(Achieves Base64, 32/16 bit MD5, DES, AES and RSA algorithms for iOS with one line of code. The operation is simple and easy to use.)【 [Priview](https://github.com/chenxing640/DYFCryptoUtils/raw/master/images/CryptoUtilsPreview.gif) 】

- [AESCipher-iOS](https://github.com/WelkinXie/AESCipher-iOS) - AES encryption working between Objective-C and Java. ([AESCipher-Java](https://github.com/WelkinXie/AESCipher-Java))

- [AESCrypt-ObjC](https://github.com/Gurpartap/AESCrypt-ObjC) - A simple and opinionated AES encrypt / decrypt Objective-C class that just works.

- [RSADemo](https://github.com/DullDevil/RSADemo) - RSA加解密相关方方法，以及密钥格式的生成与转换。

- [Encryptions](https://github.com/iamlay/Encryptions) - this project is for many kinds odf encryption. 【 [Priview](https://github.com/Flying-Einstein/Encryptions/raw/master/Encryption/encryption.gif) 】

- [CryptoSwift](https://github.com/krzyzanowskim/CryptoSwift) - CryptoSwift是在Swift中实现的越来越多的标准和安全密码算法的集合。

- [Security-iOS](https://github.com/cocoajin/Security-iOS) - 封装了一些iOS上使用的NSData分类，主要用于 RSA加密、AES加密、数据签名、签名校验、MD5、SHA1、SHA256 常用hash等工具。

- [CocoaSecurity](https://github.com/kelp404/CocoaSecurity) - Encrypt/Decrypt: AES. Hash: MD5, SHA(SHA1, SHA224, SHA256, SHA384, SHA512). Encode/Decode: Base64, Hex.

- [BBRSACryptor](https://github.com/NianJi/BBRSACryptor) - 使用OpenSSL进行公钥和私钥的加解密。

- [BBRSACryptor-XHAdd](https://github.com/CoderZhuXH/BBRSACryptor-XHAdd) - 1行代码调用RSA公钥、私钥生成、客户端RSA加密、解密、RSA签名、签名验证等。

- [3desDemo](https://github.com/Thomaszhouwu/3desDemo) - 3des Demo.

- [Base64](https://github.com/ekscrypto/Base64) - Objective-C Base64 Additions for NSData and NSString.

- [CryptoCompatibility](https://developer.apple.com/library/mac/samplecode/CryptoCompatibility/Introduction/Intro.html) - CryptoCompatibility shows how to do common cryptographic operations using Apple APIs such that the results match other common cryptographic APIs, most notably OpenSSL.


### Zip

- [Zip](https://github.com/marmelroy/Zip) - Swift framework for zipping and unzipping files.
    <div align=center>
    <img src="https://cloud.githubusercontent.com/assets/889949/12374908/252373d0-bcac-11e5-8ece-6933aeae8222.png" width="50%" />
    </div>

- [ZipArchive](https://github.com/ZipArchive/ZipArchive) - ZipArchive is a simple utility class for zipping and unzipping files on iOS, macOS and tvOS.

- [zip](https://github.com/kuba--/zip) - A portable, simple zip library written in C.

- [ZipKit](https://github.com/kolpanic/ZipKit) - An Objective-C Zip framework for macOS and iOS.

- [GZIP](https://github.com/nicklockwood/GZIP) - A simple NSData category for gzipping/unzipping data in iOS and MacOS.

- [GzipSwift](https://github.com/1024jp/GzipSwift) - Swift package that enables gzip/gunzip Data using zlib.


### Blockchain

*比特币、以太坊、区块链相关内容*

- [go-ethereum](https://github.com/ethereum/go-ethereum) - 以太坊协议的官方的Go语言实现【 [Releases](https://github.com/ethereum/go-ethereum/releases) 】。
  - [Download Geth](https://geth.ethereum.org/downloads/) - Binary archives are published.

- [web3swift](https://github.com/zeriontech/Web3Swift) - Elegant Web3js functionality in Swift. Native ABI parsing and smart contract interactions on Ethereum network ([web3.swift-Example](https://github.com/MercuryProtocol/web3.swift-Example) - Example on how to use web3.swift). 
   <div align=center>
   <img src="https://user-images.githubusercontent.com/3356474/34412791-5b58962c-ebf0-11e7-8460-5592b12e6e9d.png" width="50%" />
   </div>

- [web3j](https://github.com/web3j/web3j) - web3j is a lightweight, highly modular, reactive, type safe Java and Android library for working with Smart Contracts and integrating with clients (nodes) on the Ethereum network. 【 [Priview](https://github.com/web3j/web3j-docs/blob/master/docs/img/web3j_network.png) 】

- [web3](https://github.com/MercuryProtocol/web3.swift) - Web3 and Geth wrapper utility in swift [www.mercuryprotocol.com](https://www.mercuryprotocol.com/)

- [py-geth](https://github.com/ethereum/py-geth) - Python wrapping for running Go-Ethereum as a subprocess.

- [EthersWallet-ios](https://github.com/ethers-io/EthersWallet-ios) - Ethereum Wallet and Dapp Browser for iOS.

- [breadwallet-ios](https://github.com/voisine/breadwallet-ios) - Bread is the best way to get started with bitcoin. 【 [Priview](https://github.com/voisine/breadwallet-ios/raw/2.0/images/screenshots.jpg) 】

- [dashwallet](https://github.com/QuantumExplorer/dashwallet) - Dashwallet (breadwallet fork) is a real standalone Dash client. 【 [Priview](https://github.com/QuantumExplorer/dashwallet/raw/master/images/screenshot2.jpg) 】

- [imToken](https://github.com/ywzqhl/imToken) - ETHWallet.

- [ethers.io](https://github.com/ethers-io/ethers.io) - The frontend website HTML, JavaScript and CSS for ethers.io. 

- [ethers.objc](https://github.com/ethers-io/ethers.objc) - Fast, simple and complete library for Ethereum in Objective-C.

- [XRPKit](https://github.com/MitchLang009/XRPKit) - XRPKit is a Swift SDK built for interacting with the XRP Ledger. XRPKit supports offline wallet creation, offline transaction creation/signing, and submitting transactions to the XRP ledger. XRPKit supports both the secp256k1 and ed25519 algorithms. XRPKit is available on iOS, macOS and Linux. WIP - use at your own risk.
   <div align=center>
   <img src="https://github.com/MitchLang009/XRPKit/raw/develop/logo.png" width="20%" />
   </div>

- [phoenix](https://github.com/ACINQ/phoenix) - Phoenix is a self-custodial Bitcoin wallet using Lightning to send/receive payments.


### Networks

*网络相关内容：AFNetworking的封装，NSURLSession的封装, Reachability, CocoaHTTPServer, GCDWebServer.*

- [SwiftHTTP](https://github.com/daltoniam/SwiftHTTP) - Thin wrapper around NSURLSession in swift. Simplifies HTTP requests.

- [BANetManager](https://github.com/boai/BANetManager) - 基于[AFNetworking](#AFNetworking-&-Alamofire) 3.0、3.1最新版本的封装，集成了 get / post / put / delete 方法请求数据，单图/多图上传，视频上传/下载，网络监测 等多种网络请求方式。

- [HYBNetworking](https://github.com/CoderJackyHuang/HYBNetworking) - 基于AFNetworking3.0以上版本封装的网络层。提供常用的GET/POST接口、上传下载图片、文件接口、支持缓存等。

- [HLNetworking](https://github.com/wangshiyu13/HLNetworking) - 基于[AFNetworking](#AFNetworking-&-Alamofire)的高阶网络请求管理器。

- [CCPAFNNetworking](https://github.com/iccpeng/CCPAFNNetworking) -  [AFN](#AFNetworking-&-Alamofire)与MBProgressHUD的组合使用。

- [Reachability](https://github.com/tonymillion/Reachability) - ARC and GCD Compatible Reachability Class for iOS and MacOS. Drop in replacement for Apple Reachability.

- [CocoaWebResource](https://github.com/robin/cocoa-web-resource) - A file transfer solution for iPhone and iPod Touch. Support uploading, download and delete files via browser.

- [GCDWebServer](https://github.com/swisspol/GCDWebServer) - A modern and lightweight GCD based HTTP 1.1 server designed to be embedded in iOS, macOS & tvOS apps. 

- [CocoaHTTPServer](https://github.com/robbiehanson/CocoaHTTPServer) - A small, lightweight, embeddable HTTP server for Mac OS X or iOS applications.

- [RxNetworks](https://github.com/yangKJ/RxNetworks) - 🧚Network API With RxSwift + Moya + HandyJSON + Plugins. `pod 'RxNetworks', pod 'RxNetworks/MoyaPlugins/Cache' or pod 'RxNetworks/MoyaPlugins/Loading'`
``` 
At present, 6 plugins have been packaged for you to use: 
Cache: Network Data Cache Plugin 
Loading: Load animation plugin Indicator: Indicator plugin
Warning: Network failure prompt plugin
Debugging: Network printing, built in plugin
GZip: Network data unzip plugin
```

- [RxNetwork](https://github.com/Pircate/RxNetwork) - A swift network library based on Moya/RxSwift. `pod 'RxNetwork' or pod 'RxNetwork/Cacheable'`

- [Reachability.swift](https://github.com/ashleymills/Reachability.swift) - Replacement for Apple's Reachability re-written in Swift with closures.

- [LDNetDiagnoService_IOS](https://github.com/Lede-Inc/LDNetDiagnoService_IOS) - iOS平台利用ping和traceroute的原理，对指定域名（通常为后台API的提供域名）进行网络诊断，并收集诊断日志。【 [Priview](https://github.com/Lede-Inc/LDNetDiagnoService_IOS/raw/master/LDNetDiagnoServiceDemoTests/netdiagnosis_ios.jpg) 】

- [YTKNetwork](https://github.com/kanyun-inc/YTKNetwork) - YTKNetwork is a high level request util based on AFNetworking.

- [AsunNetwork](https://github.com/BecomerichAsun/AsunNetwork) - Moya+HandyJSON网络请求库。


### Navigation

- [WRNavigationBar](https://github.com/wangrui460/WRNavigationBar) - 超简单！！！ 一行代码设置状态栏、导航栏按钮、标题、颜色、透明度，移动等，[Swift版](https://github.com/wangrui460/WRNavigationBar_swift)。【 [Priview 1](https://raw.githubusercontent.com/wangrui460/WRNavigationBar_swift/master/screenshots/拉钩App首页.gif) | [Priview 2](https://raw.githubusercontent.com/wangrui460/WRNavigationBar_swift/master/screenshots/新浪微博个人中心.gif) | [Priview 3](https://github.com/wangrui460/WRNavigationBar_swift/raw/master/screenshots/蚂蚁森林.gif) 】

- [NNNavigationBar](https://github.com/amisare/NNNavigationBar) - 实现导航条背景渐变过渡动画的轻量级框架。【 [Priview 1](https://raw.githubusercontent.com/amisare/Screenshots/master/NNNavigationBar/Screenshots_00.gif) | [Priview 2](https://raw.githubusercontent.com/amisare/Screenshots/master/NNNavigationBar/Screenshots_01.gif) 】

- [RTRootNavigationController](https://github.com/rickytan/RTRootNavigationController) - Implicitly make every view controller has its own navigation bar. 【 [Priview](https://user-images.githubusercontent.com/1250207/30429339-abb20914-9989-11e7-9058-c967839315f4.gif) 】

- [GKNavigationController](https://github.com/QuintGao/GKNavigationController) - iOS自定义导航栏-导航条联动（仿网易新闻、网易云音乐等导航栏滑动效果）。【 [Priview](https://github.com/QuintGao/GKNavigationController/raw/master/GKNavigationControllerDemo/001.png) 】

- [EasyNavigation](https://github.com/chenliangloveyou/EasyNavigation) - 一款超级简单的导航条管理工具。完全自定义导航条。没有UINavigationBar 和 UINavigationItem 这两个类。完全是对UIView的操作。 所有操作都能一行代码，操作之间完全独立，互不影响。【 [Priview](https://github.com/chenliangloveyou/EasyNavigation/raw/master/logo/horizontal-color.png) 】

- [FDFullscreenPopGesture](https://github.com/forkingdog/FDFullscreenPopGesture) - An UINavigationController's category to enable fullscreen pop gesture in an iOS7+ system style with AOP. 【 [Priview](https://raw.githubusercontent.com/forkingdog/FDFullscreenPopGesture/master/Snapshots/snapshot0.gif) 】

- [JZNavigationExtension](https://github.com/JazysYu/JZNavigationExtension) - JZNavigationExtension integrates some convenient features for UINavigationController and easy to use. 【 [Priview](https://raw.githubusercontent.com/JazysYu/JZNavigationExtension/master/Snapshots/JZNavigationExtensionDemo.gif) 】

- [YPNavigationBarTransition](https://github.com/yiplee/YPNavigationBarTransition) - A Full functional UINavigationBar framework for making bar transition more natural! You don't need to call any UINavigationBar api, implementing YPNavigationBarConfigureStyle protocol for your view controller instead. （类似微信 iOS Navigation Bar 的切换方案）

- [BBGestureBack](https://github.com/Bonway/BBGestureBack) - OC and Swift full screen return gesture（纯OC 和 纯Swift编写，类淘宝、京东等全屏滑动返回效果）。【 [Priview](https://camo.githubusercontent.com/de8758c8283c6aa4745044e2a677410880335726/68747470733a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f31303939313737302d656465636265633933643164376538622e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】


### Side Drawer

- [MMDrawerController](https://github.com/mutualmobile/MMDrawerController) - A lightweight, easy to use, Side Drawer Navigation Controller. 【 [Priview](https://camo.githubusercontent.com/5c4050ef64d7b9836b6a56b89b458ed5c8fdfb7f/687474703a2f2f6d757475616c6d6f62696c652e6769746875622e696f2f4d4d447261776572436f6e74726f6c6c65722f4578616d706c65496d616765732f6578616d706c65322e706e67) 】

- [CWLateralSlide](https://github.com/ChavezChen/CWLateralSlide) - One line of code to integrate 0 coupling side drawer！一行代码集成0耦合侧滑抽屉！

- [RESideMenu](https://github.com/romaonthego/RESideMenu) - iOS 7/8 style side menu with parallax effect. 【 [Priview](https://raw.githubusercontent.com/romaonthego/RESideMenu/master/Demo.gif?2) 】

- [KYDrawerController](https://github.com/ykyouhei/KYDrawerController) - Side Drawer Navigation Controller similar to Android.

- [LeftRightSlider](https://github.com/heroims/LeftRightSlider) - 网易 ios7 左右拉动框架。

- [JVFloatingDrawer](https://github.com/JVillella/JVFloatingDrawer) - An easy to use floating drawer view controller.

- [KGFloatingDrawer](https://github.com/KyleGoddard/KGFloatingDrawer) - A floating navigation drawer with an interesting animated presentation written in Swift.

- [FlowingMenu](https://github.com/yannickl/FlowingMenu) - Interactive view transition to display menus with flowing and bouncing effects in Swift

- [TVOSSlideViewController](https://github.com/sahin/TVOSSlideViewController) - Container view controller with left and right drawer controlling by pan gesture for tvOS.

- [RNBlurredSideViewController](https://github.com/cwenboshi/RNBlurredSideViewController) - RNBlurredSideViewController is a side view controller with a dynamic blurred background effect when swiping similar to the iOS 7 control center.


### Runtime

- [ObjC runtime opensource](https://opensource.apple.com/source/objc4/) - Source code comes from Apple opensource.

- [DYFSwiftRuntimeProvider](https://github.com/chenxing640/DYFSwiftRuntimeProvider) - Swift Runtime 包装，可快速使用字典转模型、归档解档、添加一个方法、交换两个方法、获取所有属性名和方法名。

- [DYFRuntimeProvider](https://github.com/chenxing640/DYFRuntimeProvider) -  Objective-C Runtime 包装，可快速使用字典转模型、归档解档、添加一个方法、交换两个方法、获取所有属性名和方法名。

- [RuntimePDF](https://github.com/DeveloperErenLiu/RuntimePDF) - 本系列Runtime文章总共九篇，将所有文章汇总为一份PDF。
    - [探秘 Runtime - Runtime 介绍](https://www.jianshu.com/p/ce97c66027cd)
    - [探秘Runtime - 剖析 Runtime 结构体](https://www.jianshu.com/p/5b7e7c8075ef)
    - [探秘 Runtime - Runtime 源码分析](https://www.jianshu.com/p/3019605a4fc9)
    - [探秘 Runtime - Runtime 加载过程](https://www.jianshu.com/p/4fb2d7014e9e)
    - [探秘 Runtime - Runtime 消息发送机制](https://www.jianshu.com/p/014af0de67cd)
    - [探秘 Runtime - 深入剖析 Category](https://www.jianshu.com/p/0dc2513e117b)
    - [探秘 Runtime - Runtime Message Forward](https://www.jianshu.com/p/f313e8e32946)
    - [iOS 黑魔法 - Runtime Method Swizzling](https://www.jianshu.com/p/ff19c04b34d0)
    - [探秘 Runtime - Runtime 的应用](https://www.jianshu.com/p/4a22a39b69c5)

- [Objc -- Runtime 简单入门 (代码实例) ](https://blog.csdn.net/demon_jiao/article/details/50961687)

- [iOS源码解析：runtime<一> isa，class底层结构窥探](https://www.jianshu.com/p/bbc33b55d4b7)
- [iOS源码解析：runtime<二> objc_msgSend()消息机制的完整过程](https://www.jianshu.com/p/0653af5d02ae)

- [笔记-runtime源码解析之让你彻底了解底层源码](https://www.jianshu.com/p/52782535d38e)

- [从 ObjC Runtime 源码分析一个对象创建的过程](https://www.jianshu.com/p/8e4887a43bd7)

- [探秘Runtime - Runtime源码分析](https://www.jianshu.com/p/3019605a4fc9)

- [objc_msgSend arm64 崩溃问题](https://blog.csdn.net/chenyong05314/article/details/42121001)

- [isa混写（isa-swizzling）来实现KVO](https://www.jianshu.com/p/e8821cf6b802)


### Data Persistence

*DB, Keychain, NSUserDefaults, Write*

- [realm-swift](https://github.com/realm/realm-swift) - Realm is a mobile database that runs directly inside phones, tablets or wearables. This repository holds the source code for the iOS, macOS, tvOS & watchOS versions of Realm Swift & Realm Objective-C.

- [fmdb](https://github.com/ccgus/fmdb) - A Cocoa / Objective-C wrapper around SQLite.

- [wcdb](https://github.com/Tencent/wcdb) - WCDB is a cross-platform database framework developed by WeChat.

- [DYFSwiftKeychain](https://github.com/chenxing640/DYFSwiftKeychain) - `DYFSwiftKeychain` is used to save text and data in Keychain securely for iOS, OS X, tvOS and watchOS. ( [DYFKeychain](https://github.com/chenxing640/DYFKeychain) (Objective-C) )

- [UICKeyChainStore](https://github.com/kishikawakatsumi/UICKeyChainStore) - UICKeyChainStore is a simple wrapper for Keychain on iOS, watchOS, tvOS and macOS. Makes using Keychain APIs as easy as NSUserDefaults.

- [GenericKeychain](https://developer.apple.com/library/archive/samplecode/GenericKeychain/Introduction/Intro.html) - This sample shows how to add, query for, remove, and update a keychain item of generic class type. It also demonstrates the use of shared keychain items.

- [JQFMDB](https://github.com/gaojunquan/JQFMDB) - FMDB的封装，操作简单，线程安全，扩展性强，直接操作model或dictionary。

- [MagicalRecord](https://github.com/magicalpanda/MagicalRecord) - Super Awesome Easy Fetching for Core Data!


### Bluetooth

- [EasyBluetooth]( https://github.com/chenliangloveyou/EasyBluetooth) - 一款iOS BLE蓝牙调试工具，非常简单容易，也可以作为一个蓝牙库，快速集成和开发。 可以两步搞定蓝牙开发操作。第一步连接设备，第二步特征读写数据。【 [Priview 1](https://github.com/chenliangloveyou/EasyBluetooth/raw/master/EasyBlueTooth/EasyBlueTooth/preview/preview_1.gif) | [Priview 2](https://github.com/chenliangloveyou/EasyBluetooth/raw/master/EasyBlueTooth/EasyBlueTooth/preview/preview_2.gif) | [Priview 3](https://github.com/chenliangloveyou/EasyBluetooth/raw/master/EasyBlueTooth/EasyBlueTooth/preview/preview_3.png) | [Priview 4](https://github.com/chenliangloveyou/EasyBluetooth/raw/master/EasyBlueTooth/EasyBlueTooth/preview/preview_4.png) 】

- [WHBLEDemo](https://github.com/remember17/WHBLEDemo) - 📱CoreBluetooth central and peripheral demo with OC/Swift (iOS蓝牙中心设备和外设开发,包含OC/Swift版本) 。【 [Priview 1](https://camo.githubusercontent.com/3ba378f9a697f5e30d6937f64ba8a97498bb3513/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f333837333030342d613731636537393634653834613263652e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) | [Priview 2](https://camo.githubusercontent.com/47b0012be03c0f3f6c59c7169fa4563ff6380d7c/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f333837333030342d353334626433303463346537393765362e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】

- [BabyBluetooth](https://github.com/coolnameismy/BabyBluetooth) - 简单易用的蓝牙库，基于CoreBluetooth的封装，并兼容ios和mac osx。【 [Priview](https://github.com/coolnameismy/BabyBluetooth/raw/master/logo.png) 】

- [BluetoothKit](https://github.com/rhummelmose/BluetoothKit) - Easily communicate between iOS/OSX devices using BLE.

- [MultipeerConnectivity](https://github.com/xiangzuhua0209/MultipeerConnectivity) - 蓝牙MultipeerConnectivity。

- [WEBlueToothManager](https://github.com/yuhanle/WEBlueToothManager) - 🐱一个蓝牙4.0的智能硬件架构。([blog](https://latehorse.github.io))【 [Priview 1](https://camo.githubusercontent.com/d35e114d02c6b82ccea90e1547d268607362ee41/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f3534353735352d343837633230623536646461623832322e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) | [Priview 2](https://camo.githubusercontent.com/d1f9847a9232542113ffdd226ea5b3773f26b5f1/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f3534353735352d303161616262356533396130613735302e706e673f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970253743696d61676556696577322f322f772f31323430) 】

- [MPBluetoothKit](https://github.com/MacPu/MPBluetoothKit) - This is a block-based framework for building Bluetooth iOS apps using the CoreBluetooth Framework.Its a very powerful and useful,and very easy to use it.

- [IOS-CoreBluetooth-Mock](https://github.com/NordicSemiconductor/IOS-CoreBluetooth-Mock) - The Core Bluetooth Mock library was designed to emulate Core Bluetooth objects, providing easy way to test Bluetooth-enabled apps. As the native Bluetooth API is not supported on a simulator, using this library you can run, test and take screenshots of such apps without the need of a physical phone or tablet. You may also start working on the iOS app when your peripheral is still under development.


### Gesture-Biometric Unlock

- [DYFAuthIDAndGestureLock](https://github.com/chenxing640/DYFAuthIDAndGestureLock) - 手势密码解锁 和 TouchID（指纹）/ FaceID（面容）解锁，代码简洁高效。(Gesture passcode unlocking and TouchID (fingerprint) / FaceID (facial features) unlocking, concise code and efficient.)【 [Priview](https://github.com/chenxing640/DYFAuthIDAndGestureLock/raw/master/images/AuthIDAndGestureLockPreview.gif) 】

- [XGTouchDemo](https://github.com/XGPASS/XGTouchDemo) - 手势密码解锁和指纹TouchID解锁的demo。【 [Priview](https://github.com/XGPASS/XGTouchDemo/raw/master/images/develop.gif) 】

- [TouchIDAndGestureLock](https://github.com/bugaoshuni/TouchIDAndGestureLock) - 指纹解锁、手势解锁。

- [YLSwipeLockView](https://github.com/XiaoYulong/YLSwipeLockView) - A swipe password view to unlock an application written in objective-c. 【 [Priview](https://github.com/XiaoYulong/YLSwipeLockView/raw/master/example.gif) 】

- [YZAuthID](https://github.com/micyo202/YZAuthID)  - TouchID（指纹）/ FaceID（面容）验证类库，代码简洁，高效。【 [Priview 1](https://github.com/micyo202/YZAuthID/raw/master/auth_finger_2.png) | [Priview 2](https://github.com/micyo202/YZAuthID/raw/master/auth_finger_3.png) 】

- [BiometricAuthentication](https://github.com/rushisangani/BiometricAuthentication) - Use Apple FaceID or TouchID authentication in your app using BiometricAuthentication. 


### BlurView

- [BlurViewExample](https://github.com/Vanbein/BlurViewExample) - iOS实现模糊效果的几种方法和示例。【 [Priview 1](https://github.com/Vanbein/BlurViewExample/raw/master/BlurEffectsPreview/blurEffect.png) | [Priview 2](https://github.com/Vanbein/BlurViewExample/raw/master/BlurEffectsPreview/GPUImage.png) | [Priview 3](https://github.com/Vanbein/BlurViewExample/raw/master/BlurEffectsPreview/UIImage+ImageEffects.png) 】

- [SVBlurView](https://github.com/TransitApp/SVBlurView) - A simple reimplementation of FXBlurView for iOS 7. 【 [Priview](https://camo.githubusercontent.com/69cc3bbb72c4e787275c953d7547a4906031afe2/687474703a2f2f662e636c2e6c792f6974656d732f31713144306b3138307a32593075324a337832662f694f5325323053696d756c61746f7225323053637265656e25323073686f7425323031392532304f63742c25323032303133253230352e33342e3231253230504d2e706e67) 】

- [iOS-blur](https://github.com/JagCesar/iOS-blur) - Blur a UIView. 【 [Priview](https://camo.githubusercontent.com/1a3847644269c1e9706c31c6ea9525bd5fc385b4/68747470733a2f2f7261772e6769746875622e636f6d2f4a616743657361722f694f532d626c75722f6d61737465722f73637265656e73686f742e706e67) 】


### PhotoViewer

- [SDPhotoBrowser](https://github.com/gsdios/SDPhotoBrowser) - A image browser which is easy for using. 非常简单易用的图片浏览器，模仿微博图片浏览器动感效果，综合了图片展示和存储等多项功能。【 [Priview](https://camo.githubusercontent.com/a2e87ee4bd1c7b97913e2f9de8b416302032157c/687474703a2f2f63646e2e636f63696d672e636f6d2f6262732f6174746163686d656e742f4669645f31392f31395f3434313636305f3633313963353063333465643633632e676966) 】

- [YHPhotoBrowser](https://github.com/hackxhj/YHPhotoBrowser) - 轻量级网络图片浏览器 优化性能 Gif播放性能 类新浪微博打开关闭动画 类微信图片浏览下拉图片消失。【 [Priview](https://raw.githubusercontent.com/hackxhj/YHPhotoBrowser/master/png/yh.gif) 】

- [HZPhotoBrowser](https://github.com/chennyhuang/HZPhotoBrowser) - 图片浏览器，photoBrowser ，新浪微博，picture, pictureBrowser, sina, weibo. 【 [Priview](https://github.com/chennyhuang/HZPhotoBrowser/raw/master/1.gif) 】

- [KSPhotoBrowser](https://github.com/skx926/KSPhotoBrowser) - A beautiful photo browser with interactive dismissal animation. 一个小而美的图片浏览器。【 [Priview 1](https://camo.githubusercontent.com/cfdefe604fd779c1c3ea62c8a2aed91a3e1ab44b/68747470733a2f2f7261772e6769746875622e636f6d2f736b783932362f4b5350686f746f42726f777365722f6d61737465722f496d616765732f426c75722e676966) | [Priview 2](https://camo.githubusercontent.com/1bb75bf6ede320b6824dc799b0afba8e3c5e4ff4/68747470733a2f2f7261772e6769746875622e636f6d2f736b783932362f4b5350686f746f42726f777365722f6d61737465722f496d616765732f436f726e65722e676966) 】

- [TZImagePickerController](https://github.com/banchichen/TZImagePickerController) - 一个支持多选、选原图和视频的图片选择器，同时有预览、裁剪功能，支持iOS6+。 A clone of UIImagePickerController, support picking multiple photos、original photo、video, also allow preview photo and video, support iOS6+.

- [AnyImageKit](https://github.com/AnyImageKit/AnyImageKit) - A toolbox for pick/edit/capture photo or video. Written in Swift.【 [Priview](https://github.com/AnyImageProject/AnyImageProject.github.io/raw/master/Resources/TitleMap@2x.png) 】

- [PhotoBrowser](https://github.com/JiongXing/PhotoBrowser) - Elegant photo browser in Swift. 图片与视频浏览器。

- [Lantern](https://github.com/fcbox/Lantern) - Lantern（花灯）是一个基于Swift的高可用视图框架。它基于iOS原生的图片/视频浏览功能进行封装，并提供了更加酷炫的交互方式。此外，它还提供丰富的接口，扩展灵活，能让App快速集成浏览功能。

- [GKPhotoBrowser](https://github.com/QuintGao/GKPhotoBrowser) - iOS仿微信、今日头条等图片浏览器。

- [YPImagePicker](https://github.com/Yummypets/YPImagePicker) - 📸 Instagram-like image picker & filters for iOS.【 [Priview1](https://raw.githubusercontent.com/Yummypets/YPImagePicker/master/Images/library.PNG) | [Priview2](https://raw.githubusercontent.com/Yummypets/YPImagePicker/master/Images/video.PNG) 】


### Panorama

- [Fisheye](https://github.com/hanton/Fisheye) - Open Source iOS 360 Degree Panorama Video Player. (HTY360Player is renamed to Fisheye).

- [MD360Player4iOS](https://github.com/ashqal/MD360Player4iOS) - It is a lite library to render 360 degree panorama video for iOS. VR Player.

- [CTPanoramaView](https://github.com/scihant/CTPanoramaView) - A library that displays spherical or cylindrical panoramas with touch or motion based controls.

- [Panorama](https://github.com/zhudongyong/Panorama) - 用于房地产展示类软件3维展示与序列帧展示。

- [PanoramaGL](https://github.com/shaojiankui/PanoramaGL) - PanoramaGL全景展示(Xcode7~), fixed some issues,share to someone need it,support arm64.

- [MetalScope](https://github.com/ejeinc/MetalScope) - Metal-backed 360° panorama view for iOS.【 [Preview](https://raw.githubusercontent.com/ejeinc/MetalScope/master/Resources/panorama-preview.gif) 】

- [Panorific](https://github.com/ndmeiri/Panorific) - An immersive, intuitive, motion-based way to explore high quality panoramas and photos on an iOS device. Panorific is implemented in Swift.

- [Image360](https://github.com/Ssimboss/Image360) - Special view & controller to display 360° panoramic images.

- [HSGLPanoViewer](https://github.com/zyphs21/HSGLPanoViewer) - A Panorama Browser using Swift and OpenGLES.

- [Panorama](https://github.com/iSame7/Panorama) - implementation of the photo tilt gesture/UX found in Facebook's Paper app.

- [SKPanoramaView](https://github.com/sachinkesiraju/SKPanoramaView) - Create beautiful animated panorama views. Inspired by the intro view on the LinkedIn iOS app.

- [OpenPano](https://github.com/ppwwyyxx/OpenPano) - Automatic Panorama Stitching From Scratch.

- [Panorama](https://github.com/robbykraft/Panorama) - Spherical panorama view, iOS.


### Find The Most Relevant Colors

- [SOZOChromoplast](https://github.com/sozorogami/SOZOChromoplast) - Inspired by functionality in iTunes' album view, SOZOChromoplast finds the most relevant colors in a given UIImage quickly and painlessly, giving you the perfect color scheme every time.


### Scan

*二维码，条形码相关内容*

- [DYFCodeScanner](https://github.com/chenxing640/DYFCodeScanner) - 一个二维码/条形码的扫码器，代码简洁高效。(A QR code and Barcode scanner for iOS. Its code is concise and efficient.) 【 [Priview](https://github.com/chenxing640/DYFCodeScanner/raw/master/images/CodeScannerPreview.gif) 】

- [MMScan](https://github.com/MinMao-Hub/MMScan) - 一个简单的二维码以及条码扫描工具，使用Objective-C语言开发，有一套自定义的扫描动画以及界面，还包括生成二维码以及条码。【 [Priview](https://github.com/MinMao-Hub/MMScan/raw/master/gifs/mmscan.gif) 】

- [QRCode](https://github.com/kingcong/QRCode-master) - 仿微信二维码扫描。

- [LBXScan](https://github.com/MxABC/LBXScan) - A barcode and qr code scanner (二维码、扫码、扫一扫、ZXing、ZBar、iOS系统AVFoundation扫码封装，扫码界面效果封装)。【 [Priview](https://github.com/MxABC/Resource/raw/master/scan12.gif) 】
  
- [swiftScan](https://github.com/MxABC/swiftScan) - A barcode and qr code scanner( 二维码 各种码识别，生成，界面效果)。【 [Priview 1](https://github.com/MxABC/swiftScan/raw/master/ScreenShots/page1.jpg) | [Priview 2](https://github.com/MxABC/swiftScan/raw/master/ScreenShots/page2.jpg) 】

- [SGQRCode](https://github.com/kingsic/SGQRCode) - The easy to use QRCode scan library for iOS【iOS 原生二维码生成与扫描 -> 高仿微信】。【 [Priview 1](https://raw.githubusercontent.com/kingsic/SGQRCode/master/Picture/sorgle1.png) | [Priview 2](https://raw.githubusercontent.com/kingsic/SGQRCode/master/Picture/sorgle4.png) 】

- [EFQRCode](https://github.com/EFPrefix/EFQRCode) - A better way to operate QR Code in Swift, support iOS, macOS, watchOS and tvOS. 【 [Priview](https://raw.githubusercontent.com/EFPrefix/EFQRCode/assets/QRCodeGIF6.gif) 】
    
- [JB_ZBarSDK_Demo](https://github.com/jaybinhe/JB_ZBarSDK_Demo) - 通过[ZBar SDK](https://github.com/bmorton/ZBarSDK)，实现IOS扫描、生成二维码的功能。【 [Priview 1](https://github.com/jaybinhe/JB_ZBarSDK_Demo/raw/master/JB_ZBarSDK_Demo/screenshots/customScan.gif) | [Priview 2](https://github.com/jaybinhe/JB_ZBarSDK_Demo/raw/master/JB_ZBarSDK_Demo/screenshots/create.gif) 】


### Refresh

- [MJRefresh](https://github.com/CoderMJLee/MJRefresh) - An easy way to use pull-to-refresh. 【 [Priview 1](https://camo.githubusercontent.com/15577b87be4403d9e2ede4d5cd5b9fccbd1d03ae/687474703a2f2f696d61676573302e636e626c6f67732e636f6d2f626c6f67323031352f3439373237392f3230313530362f3134313230343334333438363135312e676966) | [Priview 2](https://camo.githubusercontent.com/911191d46157ea3961728b16696aea4440ffeb92/687474703a2f2f696d61676573302e636e626c6f67732e636f6d2f626c6f67323031352f3439373237392f3230313530362f3134313230343430323233383338392e676966) 】

- [SDRefreshView](https://github.com/gsdios/SDRefreshView) - 简单易用的上拉和下拉刷新（多版本细节适配）。Pull To Refresh. 【 [Priview](https://camo.githubusercontent.com/1febdd6e24be7611d1059d512804437ea35f4a8f/687474703a2f2f63632e636f63696d672e636f6d2f6262732f6174746163686d656e742f4669645f31392f31395f3434313636305f6431333261633664623135626361632e676966) 】

- [KafkaRefresh](https://github.com/BeatsKitano/KafkaRefresh) - Animated, customizable, and flexible pull-to-refresh framework for faster and easier iOS development.

- [PullToRefresh](https://github.com/Yalantis/PullToRefresh) - This component implements pure pull-to-refresh logic and you can use it for developing your own pull-to-refresh animations.

- [PullToRefresh](https://github.com/leah/PullToRefresh) - A simple iPhone TableViewController for adding pull-to-refresh functionality (Objective-C).


### HUD-Indicator

- [NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView) - A collection of awesome loading animations.【 [Priview](https://raw.githubusercontent.com/ninjaprox/NVActivityIndicatorView/master/Demo.gif) 】

- [SVProgressHUD](https://github.com/SVProgressHUD/SVProgressHUD) - A clean and lightweight progress HUD for your iOS and tvOS app. 

- [MBProgressHUD](https://github.com/jdg/MBProgressHUD) - MBProgressHUD + Customizations. [http://www.bukovinski.com/](http://www.bukovinski.com/)

- [MBProgressHUD-JDragon](https://github.com/lyc59621/MBProgressHUD-JDragon) - MBProgressHUD 封装。【 [Priview](https://github.com/lyc59621/MBProgressHUD-JDragon/raw/master/MBProgressHUD-JDragon.gif) 】

- [JGProgressHUD](https://github.com/JonasGessner/JGProgressHUD) - An elegant and simple progress HUD for iOS and tvOS, compatible with Swift and ObjC.【 [Priview](https://github.com/JonasGessner/JGProgressHUD/raw/master/Examples/Screenshots/Presentation.png) 】

- [JHUD](https://github.com/Jinxiansen/JHUD) - A full screen of the HUD when loading the data (Objective-C).【 [Priview 1](https://github.com/Jinxiansen/JHUD/raw/master/gif/2.gif) | [Priview 2](https://github.com/Jinxiansen/JHUD/blob/master/gif/5.gif) 】

- [EasyShowView](https://github.com/chenliangloveyou/EasyShowView) - 一款超级简单的展示工具，包括吐司指示器，loding加载框，空白页提示，alertview，actionsheet的定制。可任意定制自己想要的各种样式，自定义动画，显示样式等各种操作，使各种展示更加easy。【 [Priview 1](https://github.com/chenliangloveyou/EasyShowView/raw/master/show_preview/preview_text.gif) | [Priview 2](https://github.com/chenliangloveyou/EasyShowView/raw/master/show_preview/preview_loding.gif) 】

- [MMMaterialDesignSpinner](https://github.com/misterwell/MMMaterialDesignSpinner) - An iOS activity spinner modeled after Google's Material Design Spinner. 【 [Priview 1](https://raw.githubusercontent.com/misterwell/MMMaterialDesignSpinner/master/Demo.gif) 】

- [SCSkypeActivityIndicatorView](https://github.com/stefanceriu/SCSkypeActivityIndicatorView) - Activity indicator view similar to the one seen in the Skype apps. 【 [Priview 1](https://camo.githubusercontent.com/baff2b55b9c0b3f488e1d109e5f970962bfff6d1/68747470733a2f2f64726976652e676f6f676c652e636f6d2f75633f6578706f72743d646f776e6c6f61642669643d3042794c436b554f39306c746f4e47646a63324d79636a426b563155) | [Priview 2](https://camo.githubusercontent.com/6d0c318bc2c952b9ee358d04f97bde4a8ebb5647/68747470733a2f2f64726976652e676f6f676c652e636f6d2f75633f6578706f72743d646f776e6c6f61642669643d3042794c436b554f39306c746f535446615831497a4e33524465466b) 】

- [MDFlickrActivityIndicatorView](https://github.com/kirsis/MDFlickrActivityIndicatorView) - Flickr-like activity indicator view for iOS. 【 [Priview](https://github.com/kirsis/MDFlickrActivityIndicatorView/raw/master/images/MDFlickrActivityIndicatorView_Preview.png) 】

- [SwiftSpinner](https://github.com/icanzilb/SwiftSpinner) - A beautiful activity indicator and modal alert written in Swift (originally developed for my app DoodleDoodle) Using blur effects, translucency, flat and bold design - all iOS 8 latest and greatest.

- [NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView) - A collection of awesome loading animations.【 [Priview](https://raw.githubusercontent.com/ninjaprox/NVActivityIndicatorView/master/Demo.gif) 】

- [cordova-progressIndicator](https://github.com/pbernasconi/cordova-progressIndicator) - Native Progress-Indicator for Cordova.

- [SpringIndicator](https://github.com/KyoheiG3/SpringIndicator) - SpringIndicator is indicator and PullToRefresh. Inspired by Material design components.【 [Preview](https://user-images.githubusercontent.com/5707132/55774407-f49a6500-5acf-11e9-9e36-9248e89d7ff1.gif) 】


### Toast

- [DYFToast](https://github.com/chenxing640/DYFToast) - Fully imitating the Android toast, using chain programming, through point operation, it can achieve the properties settings and display of the toast, the code is concise and efficient.

- [Toast-Swift](https://github.com/scalessec/Toast-Swift) - 向UIView对象类添加Toast通知的Swift扩展(A Swift extension that adds toast notifications to the UIView object class.)。([Objective-C版](https://github.com/scalessec/Toast)) 【 [Priview](https://github.com/scalessec/Toast-Swift/raw/master/toast_swift_screenshot.jpg) 】

- [Toaster](https://github.com/devxoul/Toaster) - 🍞 Toast for Swift

- [XHToast](https://github.com/CoderZhuXH/XHToast) - 简洁轻便提示工具,一行代码既可完成提示信息显示 - 支持自定义显示位置及停留时间。【 [Priview](https://camo.githubusercontent.com/5e94289a5930fe4de9e844f94a308b6d3919e59b/687474703a2f2f682e686970686f746f732e62616964752e636f6d2f696d6167652f7069632f6974656d2f303233623562623563396561313563653239373365343339626530303361663333613837623236342e6a7067) 】

- [iToast-iOS](https://github.com/Tim9Liu9/iToast-iOS) - iToast的ARC版本。

- [toast-notifications-ios](https://github.com/ecstasy2/toast-notifications-ios) - We at Guru software really love toast notifications available on android OS, so we've built a similar feature for the IOS enabled devices.

- [JFMinimalNotifications](https://github.com/atljeremy/JFMinimalNotifications) - An iOS UIView for presenting a minimalistic notification that doesn't block the UI and is highly configurable.


### Menu-PopupView

- [kxmenu](https://github.com/kolyvan/kxmenu) - KxMenu is a vertical popup menu for using in iOS applications. 【 [Priview](https://camo.githubusercontent.com/d28144796042a6c6bddf7d0c097be831cea8810a/68747470733a2f2f7261772e6769746875622e636f6d2f6b6f6c7976616e2f6b786d656e752f6d61737465722f73637265656e73686f742f6578616d706c652e676966) 】

- [LCSlideMenu](https://github.com/ChinaHackers/LCSlideMenu) - A powerful and easy to use slider menu. 【 [Priview 1](https://raw.githubusercontent.com/ChinaHackers/LCSlideMenu/master/Screencast/LCSlideMenu.png) | [Priview 2](https://raw.githubusercontent.com/ChinaHackers/LCSlideMenu/master/Screencast/Screencast01.gif) | [Priview 3](https://raw.githubusercontent.com/ChinaHackers/LCSlideMenu/master/Screencast/Screencast03.gif) 】

- [JMColumnMenu](https://github.com/JunAILiang/JMColumnMenu) - 仿腾讯新闻、今日头条栏目管理。

- [MLMenu](https://github.com/MrDML/MLMenu) - 仿微信QQ右上角菜单功能。【 [Priview](https://github.com/MrDML/MLMenu/raw/master/MLMenuGif.gif) 】

- [JMDropMenu](https://github.com/JunAILiang/JMDropMenu) - 仿QQ、微信下拉菜单封装，支持自定义样式。【 [Priview](https://raw.githubusercontent.com/JunAILiang/JMDropMenu/master/JMDropMenu/JMDropMenu.gif) 】

- [XYMenu](https://github.com/HeathHsia/XYMenu) - 简易集成的弹出菜单。【 [Priview](https://github.com/HeathHsia/XYMenu/raw/master/img/demo.gif) 】

- [YCMenuView](https://github.com/WellsYC/YCMenuView) - a popup menu which can be highly customized. (一个可以根据关联点和关联视图弹出的菜单，类似QQ导航栏右侧菜单。可满足高度自定义需求。) 【 [Priview 1](https://github.com/WellsYC/YCMenuView/raw/master/logo/original-horizontal.png) | [Priview 2](https://github.com/WellsYC/YCMenuView/raw/master/menuView.gif) 】】

- [REMenu](https://github.com/romaonthego/REMenu) - Dropdown menu inspired by Vine. 【 [Priview](https://raw.githubusercontent.com/romaonthego/REMenu/master/Demo.gif) 】

- [PopMenu](https://github.com/xhzengAIB/PopMenu) - PopMenu is pop animation menu inspired by Sina weibo / NetEase app. 【 [Priview](https://github.com/xhzengAIB/LearnEnglish/raw/master/Screenshots/XHSinaMenuViewExample.gif) 】

- [SHESelectTable](https://github.com/shelly8219/SHESelectTableDemo) - 下拉选择的列表。【 [Priview](https://github.com/shelly8219/SHESelectTableDemo/raw/master/source/screenclip.jpg) 】

- [MMComboBox](https://github.com/YYWDark/MMComboBox) - A comboBox contained three kinds of style. 【 [Priview](https://camo.githubusercontent.com/30c25cfaecb29ebfb9a59a5fe93a6751342d163a/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f3330373936332d353837313561313431633063653630302e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】

- [CustomPopoverView](https://github.com/maltsugar/CustomPopoverView) - 一款小巧灵活的自定义弹出视图, 可以做自定义AlertView、弹出窗口等等。A tiny and sweet custom popView (pop popup). 【 [Priview 1](https://camo.githubusercontent.com/d3fb0b4d5ef8712421cd7da8228ec33ceaf703f7/687474703a2f2f7777332e73696e61696d672e636e2f6d773639302f373261626137656667773166336368303077777778673230616c306a336771702e676966) | [Priview 2](https://camo.githubusercontent.com/548226495b29d0db044add98a61f6f0c18a2d4ac/687474703a2f2f7777322e73696e61696d672e636e2f6d773639302f3732616261376566677731663364636b6e6c667068673230616d306a33646d362e676966) 】

- [MMPopupView](https://github.com/adad184/MMPopupView) - A basic Pop-Up Kit allows you to easily create Pop-Up view. You can focus on the only view you want to show.Besides, it comes with 2 common Pop-Up view, MMAlertView & MMSheetView. You can easily use & customize it. 【 [Priview](https://github.com/adad184/MMPopupView/raw/master/Images/0.jpg) 】

- [JianShuPopViewDemo](https://github.com/linsyorozuya/JianShuPopViewDemo) - 简书、淘宝弹出效果动画demo。【 [Priview](https://github.com/LinBling/JianShuPopViewDemo/raw/master/2016-02-03%2016_20_30.gif) 】

- [UIAlertView-Blocks](https://github.com/jivadevoe/UIAlertView-Blocks) - A category for UIAlertView which allows you to use blocks to handle the pressed button events rather than implementing a delegate.

- [BAAlertController](https://github.com/BAHome/BAAlertController) - UIAlertController 的分类，一个block 搞定系统 alert 和 actionSheet 的 iPhone 和 iPad 版本适配！【 [Priview 1](https://github.com/BAHome/BAAlertController/raw/master/Images/BAAlertController4.png) | [Priview 2](https://github.com/BAHome/BAAlertController/raw/master/Images/BAAlertController7.png) 】

- [FWPopupView](https://github.com/choiceyou/FWPopupView) - 弹窗控件：支持AlertView、Sheet、自定义视图的PopupView。AlertView中可以嵌套自定义视图，各组件的显示隐藏可配置；Sheet仿微信样式；同时提供自定义弹出。更多配置请参考”可设置参数“，提供OC使用Demo。

- [LSTPopView](https://github.com/LoSenTrad/LSTPopView) - iOS万能弹窗。

- [DropDown](https://github.com/AssistoLab/DropDown) - A Material Design drop down for iOS.【 [Preview](https://github.com/AssistoLab/DropDown/raw/master/Screenshots/3.png) 】

- [iOSDropDown](https://github.com/jriosdev/iOSDropDown) - Drop Down Menu for iOS With Search And Other Awesome Customisation.【 [Preview1](https://raw.githubusercontent.com/jriosdev/iOSDropDown/master/images/2.gif) | [Preview2](https://raw.githubusercontent.com/jriosdev/iOSDropDown/master/images/2.gif) 】

- [MenuItemKit](https://github.com/cxa/MenuItemKit) - UIMenuItem with image and closure(block) action.

- [PMAlertController](https://github.com/pmusolino/PMAlertController) - PMAlertController is a great and customizable alert that can substitute UIAlertController.

- [WMZDialog](https://github.com/wwmz/WMZDialog) - 功能最多样式最多的弹窗，支持普通/底部/日期/地区/日历/选择/编辑/分享/菜单/自定义弹窗等,支持多种动画,链式编程调用(Pop-up windows with the most functions and styles, support normal/bottom/date/region/calendar/select/edit/share/menu/custom pop-up windows, etc., support multiple animations, chain programming calls).

- [ZZHotKeysMenu](https://github.com/zhouXiaoR/ZZHotKeysMenu) - ZZHotKeysMenu自定义布局，继承自UICollectionViewLayout。【 [Priview](https://github.com/zhouXiaoR/ZZHotKeysMenu/raw/master/运行效果.gif) 】

- [Alertift](https://github.com/sgr-ksmt/Alertift) - Swifty, modern UIAlertController wrapper.


### Slider

- [RangeSeekSlider](https://github.com/WorldDownTown/RangeSeekSlider) - RangeSeedSlider provides a customizable range slider like a UISlider.

- [HGCircularSlider](https://github.com/HamzaGhazouani/HGCircularSlider) - A custom reusable circular / progress slider control for iOS application.

- [RSSliderView](https://github.com/rsimenok/RSSliderView) - Custom slider based on UIView for iOS. 【 [Priview](https://camo.githubusercontent.com/7a7a899104ae97a30b0aae97bb2ce7d80a8a0f25/687474703a2f2f692e70696363792e696e666f2f69392f61666463643862353032396531663238623862643333663762643338323263312f313432343131383133392f31323632322f3738303432352f3132332e706e67) 】

- [JMMarkSlider](https://github.com/joamafer/JMMarkSlider) - Fully customizable slider that allows you to set marks on it. You can set the color of the bar, marks and handler, the width of the marks and even an image for the handler.

- [fluid-slider](https://github.com/Ramotion/fluid-slider) - A slider widget with a popup bubble displaying the precise value selected. Swift UI library made by @Ramotion.

- [MultiSlider](https://github.com/yonat/MultiSlider) - UISlider clone with multiple thumbs and values, range highlight, optional snap intervals, optional value labels, either vertical or horizontal.

- [RangeSlider](https://github.com/warchimede/RangeSlider) - A simple range slider made in Swift.

- [HBLockSliderView](https://github.com/SimonYHB/HBLockSliderView) - 快速创建滑动解锁视图，高度自定义 Beautiful Slider View. Written in Objective-C. Similar in style to UISlider, but which allows you can make more customization.


### PageControl

- [JXPageControl](https://github.com/Coder-TanJX/JXPageControl) - 🚀🚀🚀 自定义pageControl指示器, 支持多种动画, 自定义布局。

- [WEIPageControl](https://github.com/wei287030375/WEIPageControl) - 最新SWIFT 4.0 版自定义PageControl，椭圆，空心圆，方形点，图片点。

- [EllipsePageControl](https://github.com/hackxhj/EllipsePageControl) - 椭圆形 长方形 PageControl 轮播图点。


### WebView-ProgressBar

- [WebController](https://github.com/pikachu987/WebController) - Quick WKWebView 😄.

- [BAWKWebView](https://github.com/BAHome/BAWKWebView) - 用分类封装 WKWebView，一行代码搞定 request、URL、URLString、本地 HTML文件、HTMLString等请求，一个 block 搞定 title、progress、currentURL、当前网页的高度等等。

- [CHWebView](https://github.com/chausson/CHWebView) - 简化UIWebView和WKWebView的API使用，在此基础上实现进度条和简单JS交互事件。【 [Priview 1](https://github.com/chausson/CHWebView/raw/master/Resource/WebView.gif) | [Priview 2](https://github.com/chausson/CHWebView/raw/master/Resource/CHWebView.png) 】

- [WYWebViewDemo](https://github.com/wangyansnow/WYWebViewDemo) - 进度条加载网页。【 [Priview](https://github.com/wangyansnow/WYWebViewDemo/raw/master/WYWebViewDemo/screenShot/webViewLoading.gif) 】

- [WKWebViewDemo](https://github.com/SSiming/WKWebViewDemo) - WKWebView实际使用中遇到的注意点，以及WKWebView和JavaScript交互。具体介绍请戳[WKWebView使用及注意点(keng)](http://www.jianshu.com/p/9513d101e582)。

- [DYFProgressView](https://github.com/chenxing640/DYFProgressView) - Super useful progress bar and web page progress bar, the operation is simple and easy to use. 【 [Priview](https://github.com/chenxing640/DYFProgressView/raw/master/images/ProgressViewPreview.gif) 】

- [WebViewJavascriptBridge](https://github.com/marcuswestin/WebViewJavascriptBridge) - An iOS/OSX bridge for sending messages between Obj-C and JavaScript in UIWebViews/WebViews.
```
  #ITMS-90809: Deprecated API Usage - Apple will stop accepting submissions of apps that use UIWebView APIs
  #删除WebViewJavascriptBridge中的WebViewJavascriptBridge.h和WebViewJavascriptBridge.m文件
  pre_install do |installer|
    dir_web = File.join(installer.sandbox.pod_dir('WebViewJavascriptBridge'), 'WebViewJavascriptBridge')
    Dir.foreach(dir_web) {|x|
      real_path = File.join(dir_web, x)
      if (!File.directory?(real_path) && File.exist?(real_path))
        if(x == 'WebViewJavascriptBridge.h' || x == 'WebViewJavascriptBridge.m')
          File.delete(real_path)
        end
      end
    }
  end
```

- [WKWebViewJavascriptBridge](https://github.com/Lision/WKWebViewJavascriptBridge) - 🌉 A Bridge for Sending Messages between Swift and JavaScript in WKWebViews.【 [Priview](https://github.com/Lision/WKWebViewJavascriptBridge/raw/master/Rources/WKWebViewJavascriptBridge.jpg) 】

- [NJKWebViewProgress](https://github.com/ninjinkun/NJKWebViewProgress) - A progress interface library for UIWebView. Currently, UIWebView doesn't have official progress interface. You can implement progress bar for your in-app browser using this module. 【 [Priview](https://camo.githubusercontent.com/082fc708cc461dc53832b7d14d5affdf475dd57b/68747470733a2f2f7261772e6769746875622e636f6d2f6e696e6a696e6b756e2f4e4a4b5765625669657750726f67726573732f6d61737465722f44656d6f4170702f53637265656e73686f742f73637265656e73686f74312e706e67) 】

- [YQLWebViewProgress](https://github.com/Dogndxt/YQLWebViewProgress) - 网页进度条显示，WebViewProgress. 【 [Priview](https://github.com/BAHome/BAWKWebView/raw/master/Images/BAWKWebView.gif) 】

- [XDProgressView](https://github.com/Tbwas/XDProgressView) - XDProgressView可以由你心情任意设置高度，也可在上面显示文字。

- [SDProgressView](https://github.com/gsdios/SDProgressView) - Progress Indicator View. 简便美观的进度指示器。【 [Priview](https://camo.githubusercontent.com/cce98893ac0d661d152c266dd564fb4e0544869e/687474703a2f2f63632e636f63696d672e636f6d2f6262732f6174746163686d656e742f4669645f31392f31395f3434313636305f3537656366623037633235376564662e676966) 】

- [MultiProgressView](https://github.com/mac-gallagher/MultiProgressView) - 📊 An animatable view that depicts multiple progresses over time. Modeled after UIProgressView.

- [KDCircularProgress](https://github.com/kaandedeoglu/KDCircularProgress) - A circular progress view with gradients written in Swift.

- [GradientProgressBar](https://github.com/fxm90/GradientProgressBar) - 📊 A customizable gradient progress bar (UIProgressView).

- [UCZProgressView](https://github.com/kishikawakatsumi/UCZProgressView) - UCZProgressView is a circular progress indicator for image loading.

- [SegmentedProgressBar](https://github.com/D-32/SegmentedProgressBar) - Snapchat / Instagram Stories like progress indicator.

- [GradientCircularProgress](https://github.com/keygx/GradientCircularProgress) - Customizable progress indicator library in Swift.

- [CircularProgress](https://github.com/sindresorhus/CircularProgress) - Circular progress indicator for your macOS app.

- [ARSLineProgress](https://github.com/soberman/ARSLineProgress) - iOS progress bar, replacement for the default activity indicator.

- [KYCircularProgress](https://github.com/kentya6/KYCircularProgress) - Flexible progress bar written in Swift.

- [FlexibleSteppedProgressBar](https://github.com/amratab/FlexibleSteppedProgressBar) - Flexible Stepped Progress Bar for IOS.【 [Priview](https://github.com/amratab/FlexibleSteppedProgressBar/raw/master/FlexibleGreenThemeDemo.gif) 】

- [LinearProgressBar](https://github.com/PhilippeBoisney/LinearProgressBar) - A simple Linear Progress Bar for IOS (Swift 3.0), inspired by Material Design

- [Progress.swift](https://github.com/jkandzi/Progress.swift) - ⌛ Add beautiful progress bars to your loops.

- [YLProgressBar](https://github.com/yannickl/YLProgressBar) - UIProgressView replacement with an highly and fully customizable animated progress bar in pure Core Graphics.

- [MKRingProgressView](https://github.com/maxkonovalov/MKRingProgressView) - ⭕️ Ring progress view similar to Activity app on Apple Watch.


### WebP

- [Swift-WebP](https://github.com/ainame/Swift-WebP) - A thin Swift wrapper of libwebp to make your own encoder/decoder app.

- [webp.swift](https://github.com/awxkee/webp.swift) - Bindings for libwebp in swift for iOS and macOS + catalyst.

- [libwebp](https://github.com/webmproject/libwebp) - Mirror only. Please do not send pull requests. mirrored from [libwebp](https://chromium.googlesource.com/webm/libwebp).


### Animation

- [MGTrasitionPractice](https://github.com/LYM-mg/MGTrasitionPractice) - 自定义转场练习。【 [Priview](http://upload-images.jianshu.io/upload_images/1429890-db65965fb55e23ed.gif?imageMogr2/auto-orient/strip) 】

- [pop](https://github.com/facebook/pop) - An extensible iOS and OS X animation library, useful for physics-based interactions.

- [PopAnimationDemo](https://github.com/crossPQW/PopAnimationDemo) - 使用pop完成一些的动画效果。【 [Priview 1](https://github.com/crossPQW/PopAnimationDemo/raw/master/PopAnimationDemo/screenShot/animationList.gif) | [Priview 2](https://github.com/crossPQW/PopAnimationDemo/raw/master/PopAnimationDemo/screenShot/plusRotate.gif) 】

- [CustomPopAnimation](https://github.com/zys456465111/CustomPopAnimation) - Runtime实现自定义Pop手势动画。

- [CATransitionDemo](https://github.com/lizelu/CATransitionDemo) - CATransition动画实现。
```
// 一些私有API, 有些效果在APPStore中是不能使用的，私有API如下：
NSString *const kCATransitionCube = @"cube";  
NSString *const kCATransitionSuckEffect = @"suckEffect"; 
NSString *const kCATransitionOglFlip = @"oglFlip";  
NSString *const kCATransitionRippleEffect = @"rippleEffect";  
NSString *const kCATransitionPageCurl = @"pageCurl"; 
NSString *const kCATransitionPageUnCurl = @"pageUnCurl";   
NSString *const kCATransitionCameraIrisHollowOpen = @"cameraIrisHollowOpen";
NSString *const kCATransitionCameraIrisHollowClose = @"cameraIrisHollowClose";
// 而下方这些可以放心使用：
// CAAnimation.h
// Common transition types. 
CA_EXTERN NSString * const kCATransitionFade
__OSX_AVAILABLE_STARTING (__MAC_10_5, __IPHONE_2_0);
CA_EXTERN NSString * const kCATransitionMoveIn
__OSX_AVAILABLE_STARTING (__MAC_10_5, __IPHONE_2_0);
CA_EXTERN NSString * const kCATransitionPush
__OSX_AVAILABLE_STARTING (__MAC_10_5, __IPHONE_2_0);
CA_EXTERN NSString * const kCATransitionReveal
__OSX_AVAILABLE_STARTING (__MAC_10_5, __IPHONE_2_0);
```

- [iOSAnimation](https://github.com/BranPeng/iOSAnimation) - 好玩的iOS动画。

- [iOS-Swift-Animation](https://github.com/BranPeng/iOS-Swift-Animation) - iOS Swift动画框架。

- [pop-handapp](https://github.com/kevinzhow/pop-handapp) - POP Handapp.


### Picker

- [BRPickerView](https://github.com/91renb/BRPickerView) - 封装的是iOS中常用的选择器组件，主要包括：日期选择器（支持年月日、年月等15种日期样式选择，支持设置星期、至今等）、地址选择器（支持省市区、省市、省三种地区选择）、自定义字符串选择器（支持单列、多列、二级联动、三级联动选择）。支持自定义主题样式，适配深色模式，支持将选择器组件添加到指定容器视图。。【 [Priview 1](https://github.com/91renb/BRPickerView/raw/master/BRPickerViewDemo/效果图/效果图1.gif?raw=true) | [Priview 2](https://github.com/91renb/BRPickerView/raw/master/BRPickerViewDemo/效果图/效果图2.gif?raw=true) 】

- [PGDatePicker](https://github.com/xiaozhuxiong121/PGDatePicker) - 日期选择器，支持年、年月、年月日、年月日时、年月日时分、年月日时分秒、月日、月日时、月日时分、月日时分秒、时、时分、时分秒、分秒、月日周 时分等。

- [THCalendarDatePicker](https://github.com/hons82/THCalendarDatePicker) - A DatePicker based on a custom calendar view.

- [CXDatePickerView](https://github.com/CXTretar/CXDatePickerView) - 一个自定义的日期时间选择器。

- [DatePickerDialog-iOS-Swift](https://github.com/squimer/DatePickerDialog-iOS-Swift) - Date picker dialog for iOS.

- [ScrollableDatepicker](https://github.com/noxt/ScrollableDatepicker) - Yet another datepicker for iOS.

- [D2PDatePicker](https://github.com/di2pra/D2PDatePicker) - Elegant and Easy-to-Use iOS Swift Date Picker.

- [RKCalendar](https://github.com/RaffiKian/RKCalendar) - SwiftUI Simple Calendar / Date Picker for iOS.

- [alerts-and-pickers](https://github.com/dillidon/alerts-and-pickers) - Advanced usage of UIAlertController and pickers based on it: Telegram, Contacts, Location, PhotoLibrary, Country, Phone Code, Currency, Date...

- [CalendarView](https://github.com/mmick66/CalendarView) - An Easy to Use Calendar for iOS (Swift 5.0).

- [RPicker](https://github.com/rheyansh/RPicker) - Simple and Easy-to-Use iOS Swift Date and Options Picker.

- [FSCalendar](https://github.com/WenchaoD/FSCalendar) - A fully customizable iOS calendar library, compatible with Objective-C and Swift.

- [Fastis](https://github.com/simla-tech/Fastis) - 🗓 Simple date range & date picker powered by JTAppleCalendar.【 [Preview](https://repository-images.githubusercontent.com/255536390/aa4ce662-cfdc-4dc0-8f23-b6fe7f269304) 】

- [JTAppleCalendar](https://github.com/patchthecode/JTAppleCalendar) - The Unofficial Apple iOS Swift Calendar View. Swift calendar Library. iOS calendar Control. 100% Customizable.


### Searching

- [PYSearch](https://github.com/ko1o/PYSearch) - 🔍 An elegant search controller which replaces the UISearchController for iOS (iPhone & iPad) . 【 [Priview 1](https://github.com/iphone5solo/learngit/raw/master/imagesForPYSearch/logo.png) | [Priview 2](https://raw.githubusercontent.com/ko1o/learngit/master/imagesForPYSearch/hotSearchStyle01.png) | [Priview 3](https://github.com/ko1o/learngit/raw/master/imagesForPYSearch/hotSearchStyle02.png) 】


### Sharing

- [ShareSDK-for-iOS](https://github.com/MobClub/ShareSDK-for-iOS) - ShareSDK是一个完全免费的社会化分享组件，为移动端的iOS App提供社会化功能。([MobTech](http://www.mob.com))

- [U-Share SDK](https://www.umeng.com/social) - 帮助应用或游戏快速具备国内外多平台分享、第三方登录功能，SDK包小，集成成本低，平台覆盖全，并基于友盟+大数据，提供权威、实时的用户画像、分享回流等数据分析，助力产品开发与推广。([友盟](https://www.umeng.com))

- [MonkeyKing](https://github.com/nixzhu/MonkeyKing) - MonkeyKing helps you to post messages to Chinese Social Networks.

- [TTOpenInAppActivity](https://github.com/honkmaster/TTOpenInAppActivity) - TTOpenInAppActivity is a UIActivity subclass that provides an "Open In ..." action to a UIActivityViewController. TTOpenInAppActivity uses an UIDocumentInteractionController to present all Apps that can handle the document specified with by the activity items. 【 [Priview](https://github.com/honkmaster/TTOpenInAppActivity/raw/master/Screenshot.png) 】


### CodeUnit-AuthenticationCode

- [KeenCodeUnit](https://github.com/chongzone/KeenCodeUnit) - 自定义的验证码、支付密码文本框，支持明文、密文输入等，支持内容的验证错误处理。

- [CRBoxInputView](https://github.com/CRAnimation/CRBoxInputView) - Verify code input view. Support security type for password.短信验证码输入框，支持密文模式。

- [ZLSecurityCode](https://github.com/ZLFighting/ZLSecurityCode) - iOS-字符图片验证码。【 [Priview](https://github.com/ZLFighting/ZLSecurityCode/raw/master/ZLSecurityCode/验证码图.gif) 】

- [AuthenticationCode](https://github.com/KenenCS/AuthenticationCode) - 关于iOS开发的一个本地生成的图片验证码demo。

- [MQVerCodeView](https://github.com/meiqi1992/MQVerCodeView) - 类似图片验证码，点击可刷新。【 [Priview](https://github.com/meiqi1992/MQVerCodeView/raw/master/verCodeView.gif) 】

- [YanZhengCode](https://github.com/wsl2ls/YanZhengCode) - 图片验证码和滑块验证码。【 [Priview](https://camo.githubusercontent.com/2a26c12270d298a74738691b13578d53e962835c/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313730383434372d303566316430626239646431313537372e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】


### Device Info

- [iOS-getClientInfo](https://github.com/PengfeiWang666/iOS-getClientInfo) - 📲iOS中获取各种设备信息。

- [ZGInfoCollection](https://github.com/ScottZg/ZGInfoCollection) - 获取iPhone相关信息以及网络状态等等。


### Ad

- [ZLAdvertDemo](https://github.com/ZLFighting/ZLAdvertDemo) - 启动页加载广告。【 [Priview](https://github.com/ZLFighting/ZLAdvertDemo/raw/master/ZLAdvertDemo/启动页跳过广告.gif) 】

- [SplashScreenADView](https://github.com/wxzwork/SplashScreenADView) - 启动图和开屏广告页，类似网易。可根据广告的有效时间显示或关闭广告页，以及定制广告页停留的时间。

- [LaunchAd](https://github.com/ScottZg/LaunchAd) - 启动页广告。【 [Priview](https://camo.githubusercontent.com/0781275d51a7e7eea96a0e689dad36f802057fb0/68747470733a2f2f6f6f6f2e306f302e6f6f6f2f323031352f31312f32302f353634656237656632363135352e676966) 】

- [ADScrollView](https://github.com/Thomaszhouwu/ADScrollView) - 下载一张网页图片，无线滑动图片展示各种广告图片，点击某个广告图片做出相应的操作。


### Star View

- [ZYStarView](https://github.com/RainManGO/ZYStarView) - Swift4.0 星星选择封装

- [SwiftyStarRatingView](https://github.com/Jerrrr/SwiftyStarRatingView) - A simple star rating view written in pure swift, lightweight but powerful.


### Categories-Extensions

- [JKCategories](https://github.com/shaojiankui/JKCategories) - JKCategories(iOS-Categories,Category), a collection of useful Objective-C Categories extending iOS Frameworks such as Foundation,UIKit,CoreData,QuartzCore,CoreLocation,MapKit Etc.

- [MJExtension](https://github.com/CoderMJLee/MJExtension) - A fast, convenient and nonintrusive conversion framework between JSON and model. Your model class doesn't need to extend any base class. You don't need to modify any model file.

- [UIButtonEdgeInsets](https://github.com/CenterY/UIButtonEdgeInsets) - 通过类别和继承方式实现按钮的图片和标题布局，调整 UIButton的imageEdgeInsets 和 titleEdgeInsets属性。【 [Priview 1](https://github.com/CenterY/UIButtonEdgeInsets/raw/master/images/image_left.png) | [Priview 2](https://github.com/CenterY/UIButtonEdgeInsets/raw/master/images/image_right.png) 】

- [nsstring-extensions](https://github.com/ToshMeston/nsstring-extensions) - This is a category for NSString that adds commonly used methods such as trim, urlEncode, urlDecode, parseIntWithDefaultValue.

- [NSString-URLEncode](https://github.com/kevinrenskers/NSString-URLEncode) - Category that adds URLEncode and URLDecode to NSString.

- [KJCategories](https://github.com/yangKJ/KJCategories) - Collection of native ios extensions and classes to boost development process. Such as UIKit, Foundation, QuartzCore, Accelerate, OpenCV, CoreGraphics, os and more. 超实用开发加速工具收集。


### Jailbreak Detector

- [iOS-Jailbreak-Detector](https://github.com/diwu/ios-jail-break-detector) - A drop-in class that dynamically detects whether the iOS device your app is running on has been jailbroken or not. 100% App Store Submission Safe. No Private API.


### Sensor

- [SensorDemo](https://github.com/wsl2ls/SensorDemo) - 指纹识别、运动传感器、加速计、环境光感、距离传感器、指南针、陀螺仪等传感器示例集锦。【 [Priview 1](https://camo.githubusercontent.com/339dfa9c656084dc5d29496ec168c43426a8e201/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313730383434372d373764333332623832386363336261332e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】


### TextView

- [GrowingTextView](https://github.com/KennethTsang/GrowingTextView) - An UITextView in Swift. Support auto growing, placeholder and length limit.

- [GrowingTextView](https://github.com/alibaba-archive/GrowingTextView) - A text view which grows with the text changes and starts scrolling when the content reaches a specified number of lines.

- [GrowingTextView](https://github.com/HansPinckaers/GrowingTextView) - [UNMAINTAINED] An UITextView which grows/shrinks with the text and starts scrolling when the content reaches a certain number of lines. Similar to the one Apple uses in the SMS-app. See blog-post for a small screencast.

- [RealtimeGradientText](https://github.com/kevinzhow/RealtimeGradientText) - Gradient Text in Real.【 [Preview](https://github.com/kevinzhow/RealtimeGradientText/raw/master/gradient.gif) 】

- [NextGrowingTextView](https://github.com/FluidGroup/NextGrowingTextView) - 📝 The next in the generations of 'growing textviews' optimized for iOS 8 and above.


### Label

- [RTLabel](https://github.com/honcheng/RTLabel) - Rich text formatting based on HTML-like markups for iOS. 【 [Priview](https://github.com/honcheng/RTLabel/raw/master/screenshot.png) 】

- [UICountingLabel](https://github.com/dataxpress/UICountingLabel) - Adds animated counting support to UILabel. 【 [Priview](https://github.com/dataxpress/UICountingLabel/raw/master/demo.gif) 】

- [CopyLabel](https://github.com/TUTUDeveloper/CopyLabel) - iOS拥有复制功能的Label。

- [RZColorfulSwift](https://github.com/rztime/RZColorfulSwift) - NSAttributedString 富文本方法 (图文混排、多样式文本) (RZColorful Swift版) UILabel 折叠 展开 文本可点击。

- [ZSSRichTextEditor](https://github.com/nnhubbard/ZSSRichTextEditor) - ZSSRichTextEditor is a beautiful Rich Text WYSIWYG Editor for iOS. It includes all of the standard editor tools one would expect from a WYSIWYG editor as well as an amazing source view with syntax highlighting.【 [Preview](https://user-images.githubusercontent.com/30858/132384094-9a1d2182-0c21-468d-b3d9-2049397e2af5.gif) 】

- [WordPress-Editor-iOS](https://github.com/wordpress-mobile/WordPress-Editor-iOS) - ⛔️ [DEPRECATED] A reusable iOS rich text editor component.

- [WordPress-Editor-iOS-Extension](https://github.com/pzhtpf/WordPress-Editor-iOS-Extension) - WordPress-Editor-iOS-Extension 是从WordPress-Editor-iOS 的扩展，他支持“从相册中选择”，“拍照”，“插入网络图片”三种方式。并允许用户可以定制编辑器的工具栏。


### ImageView

- [NaughtyImageView](https://github.com/kevinzhow/NaughtyImageView) - UIImageView Can Animate Sprite Image.【 [Preview](https://github.com/kevinzhow/NaughtyImageView/raw/master/Naughty.gif) 】


### Crop video cover

- [CZHChooseCoverController](https://github.com/jolincheng/CZHChooseCoverController) - 选择视频封面。

- [VideoSliderCrop](https://github.com/1401788197/VideoSliderCrop) - 仿抖音相册视频选择后，滑动裁剪界面。


### Waver

- [Waver](https://github.com/kevinzhow/Waver) - A Siri like wave effect.

- [DSWaveformImage](https://github.com/dmrschmidt/DSWaveformImage) - Generate waveform images from audio files on iOS & macOS in Swift. Native SwiftUI & UIKit views.


### Doodling

- [doodlAR](https://github.com/adithyaravikumar/doodlAR) - An AR Based Doodling App for iOS.


### CheckBox

- [BEMCheckBox](https://github.com/Boris-Em/BEMCheckBox) - 一个可以很容易地为iOS创建漂亮的、高度可定制的动画复选框。


### Theme Change

- [RxTheme](https://github.com/RxSwiftCommunity/RxTheme) - Theme management based on Rx.

- [LYThemeChange](https://github.com/lanyasheng/LYThemeChange) - 主题更换。


### Architecture Design Pattern

- [SwiftHub](https://github.com/khoren93/SwiftHub) - GitHub iOS client in RxSwift and MVVM-C clean architecture.

- [ReactorKit](https://github.com/ReactorKit/ReactorKit) - A library for reactive and unidirectional Swift applications

- [ios-mvp-clean-architecture](https://github.com/FortechRomania/ios-mvp-clean-architecture) - Demo iOS application built to highlight MVP (Model View Presenter) and Clean Architecture concepts.

- [Swift-MVP-Sample](https://github.com/powerwolf543/Swift-MVP-Sample) - It's an iOS simple project that how I implement MVP (Model-View-Presenter) and Clean Architecture in Swift.

- [MVPExample](https://github.com/amacou/MVPExample) - MVPExample.

- [MVPExample](https://github.com/yuexygoodman/MVPExample) - 一个MVP的Demo，展示了在iOS平台上如何实现MVP模式。

- [ReactiveSwiftFlickrSearch](https://github.com/ColinEberhardt/ReactiveSwiftFlickrSearch) - A Swift implementation of a Flickr-search application that uses MVVM and ReactiveCocoa.


### Ping

- [SimplePing](https://github.com/Xopoko/Apple-SimplePing-Swift-4) - SimplePing example written in swift 4.

- [PPSPing](https://github.com/yangqian111/PPSPing) - iOS端的一个ping网络工具，修复之前不能并发ping的问题，加入了可以通过cocoapod集成。


### Uncategorized

- [MSWeakTimer](https://github.com/mindsnacks/MSWeakTimer) - Thread-safe NSTimer alternative that doesn't retain the target and supports being used with GCD queues.

- [NNMacros](https://github.com/amisare/NNMacros) - NNMacros通过宏的方式来简化iOS开发中OC的语法和Api的操作。

- [EasyIOS](https://github.com/zhuchaowe/EasyIOS) - A new generation of development framework based on Model-View-ViewModel.
    - [EasyRSS](https://github.com/zhuchaowe/EasyRSS) - A rss reader for ios based on easyios.

- [NJKScrollFullScreen](https://github.com/ninjinkun/NJKScrollFullScreen) - Scroll to full screen like Facebook app. 【 [Priview](https://github.com/ninjinkun/NJKScrollFullScreen/raw/master/Screenshots/screencast.gif) 】

- [ScrollShowHeaderDemo](https://github.com/Cloudox/ScrollShowHeaderDemo) - 上下滑动列表时展现和隐藏顶部视图的demo。【 [Priview](https://github.com/Cloudox/ScrollShowHeaderDemo/raw/master/demo.gif) 】

- [timeLineiOS](https://github.com/romaHerman/timeLineiOS) - DropIn TimeLine with progress animatiom. 【 [Priview](https://github.com/romaHerman/timeLineiOS/raw/master/output_ppeLRI.gif) 】

- [SCIndexView](https://github.com/TalkingJourney/SCIndexView) - SCIndexView provide a index view like Wechat. 【 [Priview 1](https://github.com/TalkingJourney/SCIndexView/raw/master/SCIndexViewDemo/Snapshots/demo_default.gif) | [Priview 2](https://github.com/TalkingJourney/SCIndexView/raw/master/SCIndexViewDemo/Snapshots/demo_center_toast.gif) 】

- [HotOrConcernCityListChoose](https://github.com/ScottZg/HotOrConcernCityListChoose) - 添加热门城市和关注城市。【 [Priview](https://camo.githubusercontent.com/9d2ffddf2f1f58cb3a9dc819efc735507d39e5c5/68747470733a2f2f6f6f6f2e306f302e6f6f6f2f323031362f30372f32322f353739316332353837643061632e676966) 】

- [iOS-Swift-UI](https://github.com/BranPeng/iOS-Swift-UI) - iOS-Swift-UI.

- [jiaModuleDemo](https://github.com/wujunyang/jiaModuleDemo) - 一个针对iOS模块化开发的解决方案。【 [Priview](https://github.com/wujunyang/jiaModuleDemo/raw/master/jiaModuleDemo/ProjectImage/1.png) 】

- [DraggingSort](https://github.com/HelloYeah/DraggingSort) - 长按拖拽排序。【 [Priview](https://camo.githubusercontent.com/bab591bc633afc9a316d5aedad2c45d42da2b91d/687474703a2f2f75706c6f61642d696d616765732e6a69616e7368752e696f2f75706c6f61645f696d616765732f313333383034322d646431356539306464396537353266632e6769663f696d6167654d6f6772322f6175746f2d6f7269656e742f7374726970) 】

- [TOSMBClient](https://github.com/TimOliver/TOSMBClient) -  A small library that serves as a simple SMB (Server Message Block) client for iOS apps. The library allows connecting to SMB devices, downloading file metadata, and subsequently allows asynchronous downloading of files from an SMB device straight to an iOS device. It is an Objective-C wrapper around Defective SMb, or libDSM, a low level SMB client library built in C built by some of VideoLabs' developers. A copy of libDSM has been specially cross-compiled for iOS device architectures and embedded in this library, so this project has no external dependencies.

- [SimulateIDFA](https://github.com/youmi/SimulateIDFA) - iOS10 IDFA AD tracking limit solution.

- [model-identifiers](https://github.com/kluivers/model-identifiers) - Apple model identifiers. Gives you an approximation of the device based on the model identifier.

- [TKPhoneformat](https://github.com/kangtian/TKPhoneformat) - 一款输入手机号码格式的控件。【 [Priview](https://github.com/kangtian/TKPhoneformat/raw/master/TKPhoneformat/TKPhoneformat/4.gif) 】

- [corelib](https://github.com/wwwxiaowen/corelib) - iOS常用封装类库。

- [iOSTips](https://github.com/DarielChen/iOSTips) - 记录iOS开发中的一些知识点、小技巧。

- [YXCollectionView](https://github.com/yixiangboy/YXCollectionView) - UICollection学习总结以及案例集合。【 [Priview 1](https://camo.githubusercontent.com/9b11a11b979f8b24f9db663d5b987cd9e4d702c6/687474703a2f2f696d672e6d792e6373646e2e6e65742f75706c6f6164732f3230313531322f32342f313435303932343933375f313132312e676966) | [Priview 2](https://camo.githubusercontent.com/2aa2d9fbb4922d683bb19fcee7d1aa7b141e1c8b/687474703a2f2f696d672e6d792e6373646e2e6e65742f75706c6f6164732f3230313531322f32342f313435303932343933385f353335332e676966) 】

- [EGOImageLoading](https://github.com/enormego/EGOImageLoading) - What if images on the iPhone were as easy as HTML? 

- [UncaughtExceptionHandler](https://github.com/minibear0523/UncaughtExceptionHandler) - 一个iOS崩溃异常的捕捉处理源代码，帮助更好的调试程序。

- [SPUncaughtExceptionHandler](https://github.com/kshipeng/SPUncaughtExceptionHandler) - APP闪退时，由用户决定是否继续。


### Tools

- [SwiftLint](https://github.com/realm/SwiftLint) - A tool to enforce Swift style and conventions.
    <div align=center>
    <img src="https://github.com/realm/SwiftLint/raw/main/assets/screenshot.png" width="50%" />
    </div>

- [SwiftFormat](https://github.com/nicklockwood/SwiftFormat) - A command-line tool and Xcode Extension for formatting Swift code

- [Prelude](https://github.com/robrix/Prelude) - Swift µframework of simple functional programming tools

- [Kickstarter-Prelude](https://github.com/kickstarter/Kickstarter-Prelude) - A collection of useful Swift tools that are used in the Kickstarter apps.

- [Expression](https://github.com/nicklockwood/Expression) - A cross-platform Swift library for evaluating mathematical expressions at runtime.

- [ZJKitTool](https://github.com/Dzhijian/ZJKitTool) - 快速添加UIKit控件可以结合Masonry，以及其他工具类的简单使用，评论列表、瀑布流、压缩图片、倒计时、筛选、自定义PickerView 时间日期选择器、性别选择器、WKWebView 的应用。

- [UniversalProject](https://github.com/XuYang8026/UniversalProject) - 基于MVC架构的iOS轻量级框架，封装了基类、基于猿题库YTKNetwork的网络服务、工具库，NavigationController转场动画/瀑布流/粒子动画/小demo，已适配iOS11 & iPhone X。

- [AsunGiftModule](https://github.com/BecomerichAsun/AsunGiftModule) - 自定义Operation队列展示礼物动画~


### SwiftUI Learning

- [swiftui](https://developer.apple.com/documentation/swiftui) - Declare the user interface and behavior for your app on every platform.

- [SwiftUI](https://github.com/Jinxiansen/SwiftUI) - `SwiftUI` Framework Learning and Usage Guide. 🚀


### Projects-Demo

- [LBXMLYFM-Swift](https://github.com/lb2281075105/LBXMLYFM-Swift) - Swift5项目仿写喜马拉雅App，采用MVC+MVVM设计模式，Moya+SwiftyJSON+HandyJSON网络框架和数据解析。数据来源抓包及部分本地json文件。

- [iOSProject](https://github.com/NJHu/iOSProject) - iOS project of collected some demos for iOS App. ([Swift版](https://github.com/NJHu/swiftProject)) 【 [Priview 1](https://raw.githubusercontent.com/NJHu/iOSProject/master/images/home.gif) | [Priview 2](https://raw.githubusercontent.com/NJHu/iOSProject/master/images/anidynquar.gif) 】

- [ZFZhiHuDaily](https://github.com/renzifeng/ZFZhiHuDaily) - 知乎日报swift版(精仿)。

- [YiYuanYunGou](https://github.com/JxbSir/YiYuanYunGou) - 高仿一元云购IOS应用（高仿自一元云购安卓客户端）。【 [Priview 1](https://raw.githubusercontent.com/JxbSir/YiYuanYunGou/master/shootscreen/1.png) | [Priview 2](https://raw.githubusercontent.com/JxbSir/YiYuanYunGou/master/shootscreen/3.png) 】

- [BingFenShiJia](https://github.com/hurryupcheng/BingFenShiJia) -  缤微纷购。

- [ifanr](https://github.com/iCodeForever/ifanr) - 高仿爱范儿。

- [meituan](https://github.com/lookingstars/meituan) - 高仿美团iOS版，版本号5.7。【 [Priview](http://blog.csdn.net/l863784757/article/details/46912223) 】

- [nuomi](https://github.com/lookingstars/nuomi) - 高仿百度糯米iOS版，版本号5.13.0。【 [Priview 1](https://github.com/lookingstars/nuomi/raw/master/nuomi/ScreenShot/dtt1.gif) | [Priview 2](https://github.com/lookingstars/nuomi/raw/master/nuomi/ScreenShot/dtt2.gif) 】

- [U17](https://github.com/spicyShrimp/U17) - 精仿有妖气漫画(Swift5)。【 [Priview 1](https://github.com/spicyShrimp/U17/raw/master/Images/1@2x.png) | [Priview 2](https://github.com/spicyShrimp/U17/raw/master/Images/6@2x.png) | [Priview 3](https://github.com/spicyShrimp/U17/raw/master/Images/7@2x.png) | [Priview 4](https://github.com/spicyShrimp/U17/raw/master/Images/8@2x.png) 】

- [LBU25-Swift](https://github.com/lb2281075105/LBU25-Swift) - Swift5 精仿漫画类App(有妖气漫画),Moya+SwiftyJSON+HandyJSON网络框架和数据解析。数据来源真实接口获得。

- [MobileProject](https://github.com/wujunyang/MobileProject) - 是一个以MVC模式搭建的开源功能集合，基于Objective-C上面进行编写，意在解决新项目对于常见功能模块的重复开发，MobileProject对于项目的搭建也进行很明确的划分，各个模块职责也比较明确，MobileProject也引入的一些常用第三方插件、宏定义、工具帮助类等；整个项目也是在不断更新跟维护中，功能点也会不断更新；代码支持iOS7以后版本。

- [iOS_Demo](https://github.com/darren90/iOS_Demo) - iOS开发中一些实用的Demo。

- [iOS-Project](https://github.com/BranPeng/iOS-Project) - 收集的一些比较好的iOS打样工程。

- [coolnameismy - blog](https://github.com/coolnameismy/demo) - coolnameismy的技术博客文章对应的demo。

- [LiuAGeIOS](https://github.com/6ag/LiuAGeIOS) - 六阿哥网iOS版，资讯类客户端。 

- [MGSinaWeibo](https://github.com/LYM-mg/MGSinaWeibo) - 高仿新浪微博访客视图，首页，发布界面等 使用技术：MVVM设计模式，使用纯代码和Xib混合开发，使用SnapKit做UI布局，AFN网络数据请求，MJExtension进行字典转模型数据，使用SDWebImage进行图片加载，二维码的扫描和生成，图文混排，不等高cell的计算，表情键盘，图片上传和图片浏览器等技术。

- [MGBaisi](https://github.com/LYM-mg/MGBaisi) - 高度仿写百思不得姐项目，实现精华，新帖，发布，关注，我的五大功能模块，运用了很多技术。 使用技术：MVC设计模式，使用纯代码和Xib混合开发，使用Masonry和AutoLayout做UI布局，首页精华模块充分使用父子控制器，音频视频的播放，集成系统自带新浪分享，评论详情界面，发布集成pop动画，关注界面充分利用Xib的优势，使用SDWebImage进行图片加载，MBProessHUD进行遮盖提示，清除缓存功能，UIWebView进行网页加载等技术。

- [MGDemo](https://github.com/LYM-mg/MGDemo) - 涉及导航栏随着tableView滑动是否隐藏，随着tableView的滑动让TabBar隐藏，停止滑动显示TabBar。还有NavigationController的titleView动态缩放效果，还加了UITableView分区展开与收起。后来又加了录制视频的功能和在相册中选择视频的功能。tableView的一些常用知识点，还有搜索框的使用。后来又整合了UICollectionView的使用,ShareSDK分享等。

- [MGLoveFreshBeen](https://github.com/LYM-mg/MGLoveFreshBeen) - 一款电商App，实现首页功能以及个人中心和分类，购物车模块。1.MVC设计模式 2.使用纯代码和Xib混合开发，使用Masonry和AutoLayout做UI布局；3.集成友盟分享 4.使用SDWebImage进行图片加载 5.SVProessHUD和MBProessHUD进行遮盖提示 6.UITableView的联动效果 7.首页UICollectionView进行数据显示 8.UIWebView加载网页等技术。

- [DHPRO](https://github.com/Andrew5/DHPRO) - 二维码,画圆角, tableView列表联动,收缩列表,图片放大,FMDB数据库,水波动画,仪表盘,自适应列表,绘画板,转盘,长按移动,PhotoClip,循环滑动ScrollView,UICollectionView卡片动画,图片找不同,导航栏程序框架。

- [App-Store](https://github.com/Hurdery/App-Store) - 仿App-Store 基本框架。

- [douyin-ios-objectc](https://github.com/sshiqiao/douyin-ios-objectc) - 抖音 iOS Object-C版。([douyin-ios-swift](https://github.com/sshiqiao/douyin-ios-swift) - 抖音 iOS Swift版。)

- [SimulatorRemoteNotifications](https://github.com/acoomans/SimulatorRemoteNotifications) - Library to send mock remote notifications to the iOS simulator. This project includes the iOS Simulator Notifications MacOSX app to help you send the mock notifications.

- [MPPlayerDemo](https://github.com/maple1994/MPPlayerDemo) - ZFPlayer进行播放，KTVHTTPCache负责预加载的一个播放器Demo。


## MacOS

- [dSYMTools](https://github.com/answer-huang/dSYMTools) - dSYM analyze. 【 [Priview](https://camo.githubusercontent.com/e4d2bc52e9f048c7c14af6cfc4339f055fab5e38/687474703a2f2f616e737765726875616e672e626a2e626365626f732e636f6d2f626c6f672f6473796d546f6f6c2e706e67) 】

- [IPAPkgTool](https://github.com/chenxing640/IPAPkgTool) - 一款自动化打包ipa的MacOS应用。(A MacOS application that packs ipa automatically.) 【 [Priview](https://github.com/chenxing640/IPAPkgTool/raw/master/Images/login_page.png) 】

- [ios-app-signer](https://github.com/DanTheMan827/ios-app-signer) - This is an app for OS X that can (re)sign apps and bundle them into ipa files that are ready to be installed on an iOS device. ([Instructions](https://dantheman827.github.io/ios-app-signer/))

- [iReSign](https://github.com/maciekish/iReSign) - ReSign allows iDevice app bundles (.ipa) files to be signed or resigned with a digital certificate from Apple for disibution. This tool is aimed at enterprises users, for enterprise deployment, when the person signing the app is different than the person(s) developing it.

- [EasyResigny](https://github.com/niyaoyao/EasyResigny) - A Mac tool for user to resign iOS App.

- [Resign](https://github.com/LigeiaRowena/) - OSX utility to resign the IPA files.

- [FinderGo](https://github.com/onmyway133/FinderGo) - 🐢 Open terminal quickly from Finder. ([blog](https://onmyway133.github.io/)) 【 [Priview 1](https://github.com/onmyway133/FinderGo/raw/master/Images/Icon.png) | [Priview 2](https://github.com/onmyway133/FinderGo/raw/master/Images/go1.gif) 】

- [iOS-Images-Extractor](https://github.com/devcxm/iOS-Images-Extractor) - A Mac app to decode and extract images from iOS apps, support png/jpg/ipa/Assets.car files.

- [cartool](https://github.com/steventroughtonsmith/cartool) - Export images from OS X / iOS .car CoreUI archives. Very rough code, probably tons wrong with it, but still useful.

- [Pusic](https://github.com/peterHchina/Pusic) - An audio player for mac.

- [My12306Cocoa](https://github.com/fanjunwei/My12306Cocoa) - 12036自动订票max ox版。

- [12306Client](https://github.com/w11h22j33/12306Client) - 12306Client.

- [AYProgressBar](https://github.com/buddax2/AYProgressBar) - Customized NSProgressIndicator. Basically its just two-colored line with active color and passive color. 【 [Priview](https://github.com/buddax2/AYProgressBar/raw/master/screenshot.png?raw=true) 】

- [GRProgressIndicator](https://github.com/insidegui/GRProgressIndicator) - reimplementation of NSProgressIndicator with some customization support.

- [VVDocumenter](https://github.com/onevcat/VVDocumenter-Xcode) - Xcode plug-in which helps you write documentation comment easier, for both Objective-C and Swift. 【 [Priview](https://camo.githubusercontent.com/58e452b57245cd79c2e59ac7926609be4dffbfd8/68747470733a2f2f7261772e6769746875622e636f6d2f6f6e65766361742f5656446f63756d656e7465722d58636f64652f6d61737465722f7676646f63756d656e7465722d73776966742e676966) 】

- [ESJsonFormat-Xcode](https://github.com/EnjoySR/ESJsonFormat-Xcode) - 将JSON格式化输出为模型的属性。

- [KSImageNamed-Xcode](https://github.com/ksuther/KSImageNamed-Xcode) - Xcode plug-in that provides autocomplete for imageNamed: calls.

- [XAlign](https://github.com/qfish/XAlign) - An amazing Xcode Source Editor extension to align regular code. It can align Xnything in any way you want. 【 [Priview](https://camo.githubusercontent.com/f61bfc31e144ad6a9d7ca26fa19547a3af5da8c6/687474703a2f2f7166692e73682f58416c69676e2f696d616765732f646566696e652e676966) 】

- [FirTools](https://github.com/sdaduanbilei/FirTools) - 一个 swift 写的 OS X 的Menu Bar 程序。【 [Priview](https://github.com/sdaduanbilei/FirTools/raw/master/images/pic_7.png) 】

- [wallpapper](https://github.com/mczachurski/wallpapper) - 💻 Console application for creating dynamic wallpapers for macOS Mojave and newer.

- [iina](https://github.com/iina/iina) - The modern video player for macOS.

- [Security](https://github.com/Apple-FOSS-Mirror/Security) - The iOS and OS X versions of Security, including securityd and SecurityTool for OS X.

- [mDNSResponder](https://github.com/Apple-FOSS-Mirror/mDNSResponder) - The mDNSResponder project is a component of Bonjour, Apple's ease-of-use IP networking initiative: <http://developer.apple.com/bonjour/>

- [objc4](https://github.com/Apple-FOSS-Mirror/objc4) - objc4.
